RealChartsTS

Charting & TradingSystems

RealCharts

2006

Elenco argomenti trattati nella guida:

Novità

Presentazione

Caratteristiche

Descrizione Comandi

Finestra impostazione grafici

Accesso ai dati

Toolbar

Indicatori

I Grafici

Liste titoli

Trading System

Gestione Portafoglio

Gestione Stoploss

Moduli

Simulatore

Rettifica dati

Il Database

Nota


Accesso al Database

Torna alla pagina iniziale

Accesso al database

Esempio di finestra per la scelta del database

Appena lanciato, RealChartsTS cerca il database su cui lavorare. Se è stato chiuso correttamente ricorda ed utilizza l’ultimo sul quale avete operato. Se non lo trova vi apre una finestra, del tipo "gestione risorse" per consentirvi un’agevole ed intuitiva selezione del file che dovrà essere un database compatibile, come vedremo in seguito al punto " Il Database "
La prima volta che usate il programma, sotto il comando "Conferma Percorso", è presente l'opzione imposta parametri predefiniti per gli indicatori. Con questa opzione attiva RealChartsTS attribuisce i parametri predefiniti da programma agli indicatori. Per sostituire tali parametri, con altri, potete usare la finestra "Configura indicatori" del Menù "Opzioni". Al successivo cambio di database RealChartsTS non chiederà più se mantenere o meno i parametri predefiniti per gli indicatori, perchè avrà già memorizzato, nel file Chart.txt, le vostre ultime preferenze.
Una volta evidenziato il database che vi serve, cliccate su "Conferma percorso".
Se il database non è compatibile, ossia non ha il formato richiesto, o è rovinato, RealChartsTS lo rifiuta e ve ne chiede un altro.
Per cambiare database, cliccare sull'icona [image] della toolbar comandi.
La configurazione di RealChartsTS ed il percorso database e grafici, vengono memorizzati in un file "Rchart.txt", creato nella stessa directory del programma eseguibile (per default c:\programmi\RealChartsTS).

Argomenti correlati:

Database


Aggiornamento Manuale

Aggiornamento manuale

E' possibile aggiornare manualmente i dati utilizzando l'apposita funzione che si apre cliccando sul pulsante "Aggiornamento manuale" del pannello Rettifica. La funzione aggiornamento manuale NON consente l'inserimento di nuovi titoli, ma solo di prezzi per i titoli già presenti.

Aggiornamento manuale

Con il pulsante "#" si apre l'elenco titoli presenti nel database. Basta cliccare su un titolo per inserirlo sulla finestra qui a sinistra per il successivo aggiornamento dati.

Elenco titoli per aggiornamento manuale

Formato di inserimento dati.

Potete aggiornare i dati, purché le celle di destinazione siano vuote. Se non lo sono, prima di scrivere dovrete procedere con la cancellazione dei dati presenti. (Funzione "rettifica" dei programmi di charting e trading system)

(Le date vanno scritte nel formato GG/MM/AA, oppure GG/MM/AAAA.

Separatore decimale dei prezzi è lo stesso impostato nel vostro PC, da pannello di controllo > impostazioni internazionali > numeri > separatore decimale: virgola, o punto.
In Italia di solito si usa la virgola

Importante completare TUTTI I CAMPI. Se non conoscete il volume scrivete zero.

La frase "aggiornamento non effettuato!" appare ogni volta che si tenta di sovrascrivere dati già presenti. Nel caso in cui vogliate sostituire dati già scritti, procedere prima alla cancellazione con la funzione "Rettifica".

Scritti i valori premete "Aggiorna". A questo punto si ripresenta la finestra pulita, salvo che per il Codice Pk ed il nome del titolo. Questo per agevolare l'inserimento di più giorni di dati per lo stesso titolo.

Argomenti correlati:

Rettifica

Visualizza dati


Configurazione_Indicatori

Configurazione Indicatori

RealChartsTS dispone dei seguenti indicatori, per ciascuno dei quali è possibile assumere parametri standard, oppure procedere alle personalizzazioni preferite. Tali attributi si presenteranno poi all'apertura dell'indicatore.
NOTA: nonostante sia possibile inserire una sola configurazione standard per ogni indicatore, è possibile richiamare e caricare a video lo stesso indicatore più volte, anche assieme ad altri, impostando parametri diversi ogni volta, dalla finestra "Impostazione grafici". Un esempio pratico: potete caricare quante medie esponenziali volete, impostando per ciascuna un valore diverso, oppure visualizzare due indicatori Stocastico, uno impostato a 15-5-5 e un altro a 5-3-3. RealChartsTS è estremamente flessibile, da questo punto di vista e l'unico limite è rappresentato dalle dimensioni del monitor, oltre che dalla velocità di elaborazione del vostro Pc.

Finestra di configurazione degli indicatori

Nel caso in cui nella finestra inziale, di assegnazione del database (la prima volta che avete usato RealChartsTS) abbiate lasciato attivo il flag "Imposta parametri predefiniti per gli indicatori", gli indicatori assumono i parametri di questa figura. I valori zero, scritti con carattere più chiaro non sono significativi ed i relativi campi sono inibiti.

Per modificare i parametri preimpostati, aprite questa finestra dal menù opzioni, configura indicatori, ed impostateli come preferite.

Potete mantenere la configurazione standard che preferite ed intervenire sui singoli titoli con parametri diversi, impostandoli nella finestra "Impostazione grafici", che si apre con un click del pulsante destro del mouse sulla finestra del grafico o con F7.

Argomenti correlati:

Indicatori

Impostazione Grafici


Il Database

Il Database

Qualsiasi grafico prodotto da RealChartsTS, come da qualunque altro programma di charting è un'elaborazione che parte dai dati contenuti in uno o più files, comunemente definiti database. Senza questi dati il programma non funziona. Ma anche usando dati non corretti, ossia pieni di buchi, non aggiornati, non rettificati, in una parola inaffidabili, RealChartsTS non potrà fornire grafici attendibili.
Il database è formato da quattro prezzi per ogni giorno: apertura, massimo, minimo e chiusura ed, eventualmente i volumi.

RealChartsTS analizza per le sue elaborazioni files "mdb" (Access) in un formato prestabilito. Lo stesso database, è compatibile anche con Rocco, Andromeda e tutto il nostro software che usa dati. Quindi compatibilità assoluta, ma nello stesso tempo, ogni programma lavora sul database in modo autonomo. Ad esempio, l'ottimizzazione di Andromeda non è visibile da Rocco e viceversa, così come ogni programma crea le sue liste titoli esclusive all'interno del database. Il grande vantaggio che ne consegue è che l'aggiornamento dati, anche se si usano più programmi, si fa una volta sola
Questi files, "mdb", consentono di gestire grandi quantità di informazioni. Inoltre il formato Access ed il relativo programma, sono molto diffusi e consentono a chiunque, di gestire ed eventualmente manipolare i dati a piacere.
Naturalmente RealChartsTS può essere utilizzato anche senza disporre di Access, in quanto è fornito degli strumenti per la gestione dei titoli, quale aggiornamento manuale, rettifica e cancellazione dei dati per ogni titolo.
Il programma viene consegnato corredato di un database matrice, "Master.mdb" vuoto che, duplicato e rinominato, potrà contenere i dati di altri mercati, ad esempio Nasdaq. mdb, Germany.mdb ecc. E' consigliabile infatti, se si studiano più mercati, usare files di dati diversi per ogni mercato.

Assieme a RealChartsTS viene consegnato anche il modulo AspToDba, programma accessorio che permette di aggiornare i dati convertendo files formato testo (Ascii) scaricabili da Internet. (per maggiori informazioni su siti e modalità vedere l'help di AspToDba).

Argomenti correlati:

Accesso al database

Per ulteriori informazioni su AspToDba rimandiamo alla relativa presentazione, presente nell'HELP del programma stesso.


Descrizione_Comandi

Descrizione comandi

Da menù a tendina e sottomenù:

Da File (senza grafici aperti) si apre la tendina contenente:
  • Impostazione Grafici: permette la personalizzazione del formato grafico e la scelta degli indicatori presenti per default nella finestra del grafico.
  • Percorso Database: apre una finestra del tipo "gestione risorse" per la ricerca e l'attribuzione del database;
  • Esci: chiude il programma.

Da File (con un grafico aperto) si apre la tendina contenente:

  • Apri Grafico: permette di aprire un grafico precedentemente salvato, da una finestra del tipo "gestione risorse" si dovrà selezionare il nome del titolo. E' equivalente al comando rapido presente in icona sulla toolbar comandi
  • Salva Grafico: ( [image]) permette di salvare, per ogni titolo, le impostazioni di visualizzazione, le rette di supporto e resistenza tracciate, gli indicatori preferiti.
  • Stampa: ( [image]) stampa il grafico con le impostazioni predefinite sulla stampante predefinita di Windows.
  • Gestione Lista: ( [image]) apre la finestra per la gestione delle liste dalla quale si possono creare e successivamente caricare fino a tre elenchi di titoli.
  • Percorso Grafico: definisce la directory dove vengono salvati i grafici. Se non viene scelto diversamente, RealChartsTS deposita i files dei grafici salvati nella cartella ....RealChartsTS\Grafici.
  • Rettifica Valori: consente di correggere la serie storica di prezzi e volumi dei titoli, in caso di aumenti di capitale, split, dividendi straordinari ecc.
  • Carica Ultimo Grafico: ( [image]) se attivato, prima di aprire un titolo controlla la disponibiltà di grafici precedentemente salvati. Se ne trova carica l'ultimo.
  • Cancella Collegamenti a Grafici: elimina dal database tutti i riferimenti ai grafici precedentemente salvati, per cui non sarà più possibile caricarli automaticamente, o con l'icona: (che viene quindi cestinata per TUTTI i grafici)
  • Chiudi: ( [image]) esce dal grafico. Per chiudere invece il programma cliccare sulla X presente sulla toolbar in alto a destra, o su Esci dal Menù File (senza grafici aperti).

Da Strumenti si apre la tendina contenente:
(Note: per il corretto funzionamento si deve prima dare il comando e poi eseguire l'operazione.
I comandi sono presenti anche sulla toolbar trend. Cliccando su qualsiasi pulsante della Toolbar si attiva il relativo comando. Con doppio click su qualsiasi area del grafico, lo stesso comando viene disattivato).

  1. Aggiungi Trendline: equivale a [image] della toolbar trend. Aggiunge una retta al grafico. Una volta selezionato il comando da Menù strumenti o da toolbar trend, per tracciare la retta portarsi con il mouse sul grafico e, tenendo premuto il pulsante sinistro del mouse, creare la retta . Al rilascio del pulsante la retta si fissa.
  2. Aggiungi Trendline Orizzontale: ( [image]) uguale al punto 1). La retta in questo caso è solo di tipo orizzontale;
  3. Aggiungi Rettangolo ( [image]) disegna un rettangolo o quadrato nell'area del grafico.
  4. Aggiungi Cerchio ( [image]) disegna un cerchio o un' ellisse nell'area del grafico.
  5. Modifica Trendline: ( [image]) una volta selezionato permette di variare l'inclinazione e lunghezza delle rette, o la forma delle figure geometriche già tracciate.
  6. Cancella Trendline: ( [image]) dopo averlo selezionato cliccate su qualsiasi punto della retta, o all'interno del cerchio, o rettangolo che volete eliminare; CTRL+R (Menù - Finestra - Refresh o [image] da Toolbar Utlity) cancella tutte le rette.
  • Copia Trendline: ( [image]) serve per tracciare i canali di trend. Selezionato il comando, cliccate sulla retta che volete copiare e trascinate. Viene generata un'altra retta identica alla prima che, al rilascio del pulsante del mouse, si fissa dove volete;
  • SpostaTrendline: ( [image]) consente di spostare qualsiasi retta o figura geometrica;
  • Prolunga a Sinistra:( [image]) allunga a sinistra la retta selezionata;
  • Prolunga a Destra: ( [image]) allunga a destra la retta selezionata; [image] da Toolbar Trend, allunga a destra tutte le rette.
  • Puntatore Freccia: ( [image]) il puntatore del mouse viene visualizzato come una freccia;
  • Cross Hair: ( [image]) il puntatore del mouse viene visualizzato come un incrocio tra due rette, una orizzontale ed una verticale;

Da Opzioni si apre la tendina contenente:
  • Visualizza Dati: (F5) equivale al comando [image] della toolbar comandi. Apre una finestra dove vengono visualizzati tutti i dati del titolo aperto. Da questa finestra è anche possibile aggiungere manualmente dati e toglierli (agisce sempre sull'ultima riga) oltre a copiarli negli appunti per utilizzarli con altre applicazioni.
  • Visualizza Prezzi: (CTRL+S) apre una finestra dove vengono visualizzati i dati al giorno dove si trova il mouse. Se è stato caricato lo stop (vedi Studi - Stop Automatico), mostra anche tale valore.
  • Visualizza Dati Medie: (F2) apre una finestra dove vengolo visualizzati i dati delle medie mobili caricate sul grafico, al giorno dove si trova il mouse.
  • Visualizza Impostazione Grafici: (F7) apre la finestra di impostazione grafici
  • Adatta Trend: all'apertura di un titolo salvato allunga automaticamente verso destra, fino alla fine del grafico, le rette disegnate nelle sessioni precedenti. Così supporti e resistenze si adeguano all'aggiungersi dei dati. Sui grafici aperti si usa [image] da Toolbar Trend.
  • Note e Commenti: (F4) equivale al comando [image] in Toolbar base. Apre una finestra nella quale potete scrivere testo libero relativo al grafico aperto.
  • Configura Indicatori: apre una finestra che consente di inserire i parametri preferiti per tutti gli indicatori richiamabili sul grafico dalla finestra "Impostazione Grafici" - (un click del pulsante destro del mouse sul grafico)
  • Indesiderati: viene applicato un filtro "data", che esclude la visualizzazione di tutti i titoli i cui dati aggiornati non arrivano alla data indicata. E' molto importante perchè impedisce l'apertura di titoli non aggiornati, o non più quotati, senza obbligarvi a cancellarli dal database.

Da Layout si apre la tendina contenente i comandi per definire il formato nel quale preferite vedere i vostri grafici:

  • Spessore Fine / Medio / Grande: definisce lo spessore con cui viene disegnato il grafico.
  • Spessore Media Fine / Medio: definisce lo spessore con cui vengono disegnate le medie mobili.
  • Grafico Lineare: assume il dato di chiusura per ogni campionamento e unisce i punti formati sullo schermo da tali valori con una linea. Per cambiare formato cliccate [image] sulla toolbar comandi; il formato cambia, in modo ciclico da lineare, a barre, a candele.
  • Grafico Barre: per ogni campionamento assume quattro valori: minimo e massimo vengono uniti da una retta verticale (barra); l'apertura viene evidenziata con un segmento orizzontale che sporge a sinistra della barra e la chiusura con uno a destra.
  • Grafico Candela: anche qui per ogni campionamento si assumono quattro valori. Il corpo della candela, ossia la parte rappresentata da un rettangolo, riporta sui due lati orizzontali, i valori di apertura e chiusura . Se la candela è bianca significa che il titolo ha chiuso ad un prezzo più alto dell'apertura e viceversa se nera. I valori minimo e massimo sono invece rappresentati dalle estremità dei due segmenti verticali posti sotto e sopra il corpo.
  • Grafico Giornaliero, Settimanale o Mensile: partendo dai dati del database di apertura, massimo, minimo e chiusura che sono sempre giornalieri, il programma, in base alla vostra scelta, modifica la frequenza di campionamento, creando un punto, una barra o una candela per ogni giorno, settimana o mese. Con il campionamento giornaliero carica il prezzo di apertura, il massimo, il minimo e la chiusura del giorno; con quello settimanale carica l'apertura del lunedì, la chiusura del venerdì (o dell'ultimo giorno disponibile) ed il minimo e massimo della settimana; con quello mensile carica l'apertura del primo giorno del mese, la chiusura dell'ultimo ed il minimo e massimo del mese.
  • Ordinata destra: richiama la scala anche sul lato destro dello schermo.

Da Studi si apre la tendina contenente i comandi:

  • Stop automatico: (richiamabile anche con F3) segnala automaticamente, con una "+", posta in corrispondenza dell'ultimo prezzo disponibile, il livello di stop-loss. E' quindi un trailing stop che si adegua quotidianamente al trend, identificandone il punto di rottura, ossia il punto oltre il quale il trend potrebbe invertirsi. Lo stop si posiziona sotto il grafico in un trend al rialzo, sopra in uno al ribasso. Alla base della formula, che è piuttosto complessa, sono la media centrata e la deviazione standard dei prezzi. Il valore K dà più o meno peso alla deviazione standard. RealChartsTS sulla base di queste variabili e del periodo in giorni, definito con il cursore più in basso, identifica il trend e si posiziona automaticamente long o short. Le forzature, long o short, che potete impostare da questa finestra vi mostreranno gli estremi del canale del trend in atto.
    Quando regolate un cursore, trascinandolo con il mouse, il valore esatto raggiunto appare a destra nel riquadro bianco. Nell'esempio stiamo spostando il cursore della deviazione standard.
    Il pulsante Conferma attiva il calcolo dello stop, che rimane presente sui grafici in modo permanente fino a quando non riaprite questa finestra e cliccate su Chiudi.

Finestra per inserimento parametri Stop

Esempio di stop automatico su parametri standard

  • Gann: disegna un ventaglio. Equivale al comando rapido [image] della Toolbar Trend. Per ottenere un buon risultato, si deve prima identificare un trend. Se è al rialzo si unisce con il mouse il punto minimo con il massimo. Il ventaglio che ne deriva ipotizza i possibili ritracciamenti di 1/3, 1/2, 2/3. Cliccando poi su [image] (Cross), RealChartsTS disegna un altro ventaglio che, parte dal massimo, ha la stessa angolatura di quello precedente, ma è inclinato in senso opposto. Viceversa se lavorate su un trend al ribasso. Per allungare a destra tutte le rette del ventaglio cliccate su [image].

Esempio di Fun Gann con Cross

  • Fibonacci Orizzontale: ( [image]) (asse dei prezzi) disegna sei rette orizzontali, su una scala definita in base ai numeri di Fibonacci. Serve per identificare i livelli di prezzo di possibili ritracciamenti di un trend. Individuati i valori minimi e massimi del trend, cliccatene uno quindi, mantenendo premuto il pulsante del mouse, trascinate il cursore verso destra, fino a toccare il punto opposto. Le rette calcolate da RealChartsTS possono rappresentare supporti e resistenze

Esempio di rette di Fibonacci (sui prezzi)

  • Fibonacci Verticale: ( [image] ) (asse delle date) disegna sei rette verticali, su una scala definita in base ai numeri di Fibonacci. Serve per identificare le date dei possibili ritracciamenti di un trend. Individuati i valori minimi e massimi del trend, cliccatene uno quindi, mantenendo premuto il pulsante del mouse, trascinate il cursore verso destra, fino a toccare il punto opposto. Quindi cliccate sul pulsante [image]. RealChartsTS creerà altre sei rette verticali, proiettate su un periodo futuro. Unito a "Fibonacci Orizzontale" crea punti d'incrocio fra rette che ci indicano date e target di prezzo futuri.

Esempio di cross di Fibonacci (target prezzo e date)

  • Confronta: consente di raffrontare le performances di due titoli, sulla base delle variazioni percentuali di prezzo, fatto 100 il valore iniziale.Il periodo di confronto viene determinato automaticamente sulla base della data iniziale del primo grafico aperto e considera sempre fino all'ultimo dato disponibile. Con il confronto viene calcolata anche l'indice di correlazione.
  • La funzione disattiva calcolo Correlazione richiamabile selezionando l'apposito campo, può essere utile per velocizzare il confronto quando si analizzano periodi molto lunghi, sempre che non interessi appunto conoscere l'indice di correlazione.

Esempio di confronto tra due titoli

  • Dual Charts: mostra nella stessa finestra i grafici di due titoli con i loro prezzi assoluti. Il periodo di confronto viene determinato automaticamente sulla base della data iniziale del primo grafico aperto e considera sempre fino all'ultimo dato disponibile.

Esempio di finestra "DualCharts"

  • Attiva Zoom: equivale al comando rapido [image] della Toolbar Trend. Dopo aver attivato la funzione selezionate sul grafico l'area che volete ingrandire, trascinando il mouse da sinistra a destra con il pulsante sinistro schiacciato. Per tornare alla situazione precedente cliccate [image]. Dual Charts: mostra nella stessa finestra i grafici di due titoli con i loro prezzi assoluti. Il periodo di confronto viene determinato automaticamente sulla base della data iniziale del primo grafico aperto e considera sempre fino all'ultimo dato disponibile.

  • Avanzati: apre il sottomenù: (per ulteriori informazioni cliccate sulla voce che vi interessa)

    • Gestione BreakOut

    • Gestione StopLoss F9

    • Gestione Portafoglio F11

Da Studi Wizard si apre la tendina contenente i comandi: (per ulteriori informazioni cliccate sulla voce che vi interessa)

  • Wizard Screening F12

  • Easy Total Optimation System Shift + F11

  • Wizard Simulatore Indicatori Shift + F12

Da Moduli si apre la tendina contenente i comandi:

I moduli disponibili sono: (per ulteriori informazioni cliccate qui)
  • Overnight Trading
  • Overnight Trading 2
  • Analisi dei cicli

RealSimulator lancia il simulatore di trading.

Da Finestra si apre la tendina contenente i comandi:

  • Griglia orizzontale: aggiunge o toglie le rette orizzontali che formano la griglia del grafico;
  • Griglia verticale: aggiunge o toglie le rette verticali che formano la griglia del grafico; Il comando ( [image]) della toolbar trend aggiunge e toglie sia le rette orizzontali che verticali.
  • Dimensiona: apre la finestra dimensione per modificare la scala prezzi/date.
  • Riposiziona: ripristina la scala automatica prezzi/date sul grafico.
  • Refresh: (CTRL + R) pulisce il grafico da tutte le rette da voi tracciate.
  • Toobar Trend: attivato mostra la barra dei comandi rapidi, descritta in seguito
  • Toobar Comandi: attivato mostra la barra dei comandi rapidi, descritta in seguito;
  • Toolbar Utility : attivato mostra la barra dei comandi rapidi, descritta in seguito;
  • Toolbar Prezzi: attivato mostra sulla sinistra dello schermo tutti i valori della giornata su cui si trova il puntatore del mouse sul grafico.

Argomenti correlati:

Le Toolbar


TS3 ETOS

TS3 - Easy Total Optimation System

Questa funzione permette di costruire trading systems e, soprattutto, di ottimizzarli. L'ultima ottimizzazione viene salvata automaticamente. In questo modo ETOS, all'aggiungersi di dati, è in grado di fornire direttamente segnali operativi di buy e sell. Anche ETOS dispone del comodo rendiconto grafico, oltre a quello analitico.

Il pannello di comando di ETOS, riportato qui sotto, si apre con la combinazione di tasti "Shift + F12", o con il comando da menù: Studi > Avanzati > Easy Total Optimation System.

Esempio di finestra di lavoro di Etos

Per aprirla Shift + F11, oppure Menu >Studi Wizard > Easy Total Optimation System

In questo esempio abbiamo creato un trading system nel quale il segnale di acquisto arriva quando una media esponenziale più corta ne perfora un'altra più lunga e viceversa per quello di vendita. ETOS cerca tra tutti i valori assegnati (in questo esempio la media più breve può andare da 3 a 7, quella più lunga da 5 a 15, quali sono quelli che definiscono la lunghezza ottimale delle due medie mobili esponenziali, ossia quelle che danno il rendimento più alto.

Le formule possono essere salvate e richiamate successivamente con i pulsanti "Salva formula" e "Carica formula". (L'estensione dei files è "ETOF")

Opzioni di ottimizzazione:

  • N. dati: imposta il numero di dati che ETOS utilizza per l'ottimizzazione, sempre fino alla data più recente.

  • L'opzione "Ignora 1° segnale di Acquisto" può essere utilizzata quando si usano indicatori molto veloci, per limitare i falsi segnali.

  • Consenti vendita allo scoperto: per andare LONG e SHORT; disattivato ETOS va solo long.

  • StopLoss e TakeProfit: se selezionati impostano il livello di stop percentuale che fa scattare il segnale di uscita. Quando scattano nel rendiconto vengono evidenziati.

  • Commissioni di negoziazione (permille) che si pagano all'intermediario.

Altre opzioni:

Prima di ottimizzare si può selezionare il tipo di risultato che si vuole conseguire tra quelli possibili:

  • Risultato percentuale: l'obiettivo è conseguire la percentuale più alta di utili;

  • % Operazioni vincenti: l'obiettivo è il miglior rapporto tra operazioni in utile/perdita;

  • Utile assoluto: l'obiettivo è la miglior somma di utili in valore assoluto.

Terminata l'ottimizzazione è possibile, cliccare sulle etichette in alto, per vedere i rendiconti relativi alle opzioni non selezionate.

NOTA:

Quando si clicca su "posizione" o su [image] (rendiconto grafico) il sistema richiama i parametri fissati dall'ottimizzazione e ricalcola il rendiconto. Si può controllare che i valori "da:" e "a:" sono uguali.

Ora sia che si Ottimizzi, sia che si ricalcoli il rendiconto è possibile un solo risultato e i tre rendiconti sono uguali.

Menù di ETOS

  • Da menù File di ETOS, cliccando "Configurazione" potete memorizzare i valori che preferite per ciascun indicatore.

  • Elimina ottimizzazione, per cancellare il file che, per ogni titolo, memorizza l'ultima ottimizzazione effettuata.

  • Reset parametri: pulisce ed inizializza i parametri del pannello ETOS.

Gli indicatori sono selezionabili dalle tendine a menù.

I pulsanti "Blocco" attivati riportano nella sezione "Sell" gli stessi indicatori e gli stessi parametri selezionati in "Buy". In questo caso basta modificare il parametro di confronto (>, <, ecc.)

Se il blocco non è attivato, nella sezione "Sell" potete inserire sia indicatori che parametri diversi da quelli della sezione "Buy". In caso di conflitto tra le indicazioni di Buy e di Sell, il sistema rimane neutro, fuori dal mercato.

L'opzione "Forza Parametri" obbliga il sistema ad attribuire al secondo indicatore un valore maggiore rispetto al primo. (Se, ad esempio, usiamo due medie mobili, la seconda deve essere maggiore della prima).

Una volta finita l'ottimizzazione il pulsante "Posizione" scrive il segnale di trading nel campo in calce al pannello di ETOS, mentre [image] evidenzia il rendiconto grafico.

E' possibile selezionare uno tra i seguenti criteri di confronto:

  • Maggiore

  • Minore

  • Uguale

  • Minore o uguale

  • Maggiore o uguale

NOTE:

  • L'ottimizzazione del SAR è particolare rispetto a tutti gli altri indicatori. Mentre per i primi due parametri il sistema è simile agli altri indicatori, il terzo parametro non indica un range di valori:

Riportiamo un'impostazione a titolo di esempio:

Il primo parametro è la base del Fattore di Accelerazione.

Sui campi A e B si imposta il range, assegnando il minimo e il massimo (cerca da.. a..). Di norma da 0.01 a 0.02

Il secondo parametro fissa l'incremento che il FA può avere quando viene segnato un novo massimo o un nuovo minimo. Sui campi C e D si imposta il range, assegnando il minimo e il massimo (cerca da.. a..) Di norma da 0.01 a 0.02

Il primo campo del Terzo Parametro (E) è il tetto massimo del FA. Di norma 0.2

Il secondo campo del Terzo Parametro (F)è lo step di ricerca applicato al primo e secondo parametro. Di norma 0.001 / 0.002

Separatore decimale è il punto.

  • Il motore ETOS elabora solo il numero di dati impostato e non tiene conto di tutta la vita del titolo. Può così accadere che un indicatore scelto da finestra impostazione grafici non coincida perfettamente con lo stesso indicatore selezionato da ETOS, specialmente in corrispondenza del periodo relativo ai primi dati di ETOS.

  • RealChartsTS utilizza un database con dati daily, ossia 4 prezzi al giorno: apertura, massimo, minimo e chiusura che vengono aggiornati la sera a mercati chiusi e forniscono indicazioni operative per l'apertura successiva. Nelle ottimizzazioni il sistema compra/vende sempre in apertura il giorno successivo al segnale e quindi, coerentemente, anche le indicazioni operative di acquisto/vendita vi arriveranno a mercati chiusi, dopo l'aggiornamento del database, valide per il giorno successivo.

  • ETOS, elabora dati giornalieri, ma lavora indifferentemente su grafici giornalieri, settimanali o mensili.

  • Il numero di Dati impostato per l'ottimizzazione, (Max 2000) indica giorni, settimane o mesi, secondo l'impostazione del grafico sottostante. Conseguentemente anche i segnali di ETOS avranno la stessa frequenza di campionamento del grafico sottostante e saranno validi per l'apertura del giorno, della settimana o del mese successivo.

Il segnale sarà visibile in calce al pannello di controllo di ETOS:

Le possibili indicazioni sono:

No Trade - Sono nel mercato lungo - : abbiamo il titolo in portafoglio e aspettiamo;

No Trade - Sono nel mercato corto - : abbiamo venduto allo scoperto e aspettiamo; (*)

No Trade - Non sono nel mercato - non abbiamo il titolo e non facciamo niente

Next Trade: BUY - Non sono nel mercato - : non abbiamo il titolo in portafoglio: all'apertura successiva lo acquistiamo;

Next Trade: BUY - Sono nel mercato corto - : abbiamo venduto allo scoperto: all'apertura successiva lo acquistiamo (*)

Next Trade: SELL - Sono nel mercato lungo - : abbiamo il titolo in portafoglio: all'apertura successiva lo vendiamo

Next Trade: SELL - Non sono nel mercato - : non abbiamo il titolo in portafoglio: all'apertura successiva lo vendiamo allo scoperto (*)

(*) segnali possibili solo con l'opzione "Vendita allo scoperto" attiva

Argomenti correlati:

Trading Systems


I Grafici

I Grafici

RealChartsTS consente di aprire un grafico in diversi modi. Vediamoli analiticamente:

          •

  • Apertura in successione di tutti i grafici del database o della lista, se precedentemente creata e caricata o della lista titoli generata dalla funziona "Wizard screening" (F12) con l'applicazione dei vostri filtri . Si possono utilizzare indifferentemente i tasti "-" e "+" della tastiera, per passare rispettivamente al grafico precedente e successivo, oppure i pulsanti [image] presenti sulla "Toolbar Comandi".

  • Apertura automatica in successione temporizzata di tutti i grafici del database o della lista. Avvio della procedura con il pulsante [image] (Play), dopo aver impostato [image] con le freccette, il tempo di fermo (in questo caso pari a 5 secondi) per ogni grafico. Con [image] (pausa) la successione può essere interrotta, in qualunque momento, ad esempio per inserire note e salvare. Si può poi riprendere ancora con play, o passare a qualsiasi altra funzione.

  • Apertura di un grafico precedentemente salvato. Da menù file "Apri Grafico" o con il tasto [image] si apre una finestra per la selezione di un titolo il cui grafico avevate precedentemente salvato. Lo si deve evidenziare e dare "Conferma". Il grafico si aprire a condizione che il titolo sia presente nel database in uso.

Il comando [image] consente di scegliere se, all'apertura di un grafico (in una qualsiasi delle modalità sopra descritte) si vuole, o meno accedere direttamente all'ultimo salvato, se esiste. Se appare barrato [image] RealChartsTS non tiene conto, all'apertura, del grafico salvato. L'attivazione o disattivazione della funzione è possibile solo se non è già aperto un grafico salvato.

Real Charts visualizza indifferentemente scala lineare e logaritmica. Il formato di default è quello lineare, o aritmetico nel quale gli spazi tra le righe orizzontali del grafico rappresentano variazioni costanti di prezzo, ma diverse in termini percentuali. Nella scala logaritmica, viceversa, gli spazi tra le righe rappresentano variazioni costanti in termini percentuali, ma diverse in termini di prezzo. Il pulsante [image] sulla Toolbar Trend, permette con un solo click di trasformare la scala da lineare a logaritmica e viceversa. In caso di salvataggio, il formato scelto viene mantenuto e mostrato automaticamente in seguito. Se vengono tracciate rette di supporto e resistenza e poi si cambia formato, le rette vengono cancellate automaticamente in quanto non più significative (non sarebbero più rette, ma curve). Il formato del pulsante [image] indica che il grafico è lineare. Il logaritmico, invece, appare così: .
E' disponibile anche il formato percentuale che, che fatto 100 il primo prezzo del grafico, riporta in termini percentuali tutte le successive variazioni di prezzo. Questo particolare formato misura un solo prezzo al giorno, quello di chiusura, e può essere richiesto, per singolo titolo, solo dalla finestra "Impostazione grafici" (F7). Con il formato percentuale attivo non è possibile richiamare nessun indicatore.

Salvare un grafico equivale a fotografarlo ed imprimerne su file la durata, il formato lineare, logaritmico o percentuale, le rette di supporto e resistenza. Se, in basso a destra, sulla Toolbar Base, appare l'icona [image] vuol dire che per il titolo aperto sullo schermo è disponibile un grafico salvato. Cliccandola il grafico salvato viene caricato. Cliccando sul cestino, [image] adiacente, il collegamento con il grafico viene cancellato. Per cancellarli tutti in una volta: da Menù File > Cancella Collegamenti Grafici.
Cliccando l'icona [image] delle note, in basso a sinistra, invece, si apre la finestra che consente di scrivere liberamente i propri appunti sul titolo. Non serve salvare. Chiudendo la finestra il messaggio viene automaticamente memorizzato e può essere riletto, o modificato, nelle sessioni successive. Nel caso esistano note [image] il libro si presenta aperto. Per cancellarle basta cliccare con il pulsante destro del mouse sopra il libro aperto.
NOTA: quando viene salvato un grafico RealChartsTS genera un file e lo salva nella directory "Grafici", creata automaticamente nella stessa cartella di lavoro del programma. Il nome di questo file è lo stesso del titolo se si salva con il comando [image]. Lo si può altresì nominare a piacere usando la finestra di salvataggio grafici che si apre da menù File - Salva Grafico. Nello stesso tempo RealChartsTS appone un segnale nel database per indicare che, per quel titolo, esiste un grafico salvato. Cliccando sul cestino NON si cancella il file di servizio all'interno della cartella Grafici, ma solo il collegamento presente nel database. Lo stesso vale per le note. L'indirizzo di salvataggio di questi files può essere personalizzato con il comando Percorso Grafico attivabile da menù - File (con grafico aperto).

Argomenti correlati:

Impostazione grafici

Toolbar

Indicatori

Descrizione Comandi


Impostazione_grafici

Impostazione grafici.

Finestra "Impostazione Grafici"

Da questa finestra, che si apre da menù opzioni, visualizza impostazione grafici (F7), o con un click del pulsante destro del mouse sull'area del grafico, potete richiedere gli indicatori disponibili, oltre ad impostare liberamente tutti i parametri sia del titolo che degli indicatori stessi. Lo stesso indicatore può essere caricato più volte, impostando ogni volta i parametri che volete. Basta evidenziare l'indicatore da "Indicatori selezionati", caricarlo con il pulsante [image] e scrivere i parametri. Per scaricarli seguite l'operazione opposta. Da qui è anche possibile scegliere i titoli, evidenziandoli nella finestra in alto a sinistra.

I quattro parametri di impostazione dell'indicatore andranno andranno usati in funzione dell'indicatore stesso. Ad esempio per una media mobile ne basta uno solo. I livelli Ipercomprato /Ipervenduto, se impostati vengono disegnati sul grafico. Infine la Media su indicatore disegna una media mobile a "n" giorni sull'indicatore scelto.
Le impostazioni qui definite rimangono valide finchè non si cambia database, o lista o comunque non si richiama un diverso elenco di titoli, ad esempio anche da Wizard Screening. In altre parole, tutti i grafici che verranno aperti dopo aver confermato questa impostazione, avranno la stessa configurazione e mostreranno gli stessi indicatori. Esci invece lascia le impostazioni precedenti e chiude la finestra.

Il pulsante [image] apre la finestra di controllo degli indicatori animati.

La funzione "Salva profilo" è molto comoda per chi ha un suo "metodo" costante per guardare i grafici, ad esempio con un paio di medie mobili e due oscillatori. Le impostazioni preferite andrebbero perse ad ogni chiusura del programma, obbligando ogni volta ad un noiosa riattivazione. Questa funzione consente invece di memorizzare le impostazioni qui registrate e richiamarle successivamente con un solo click su "Carica profilo".

Argomenti correlati:

Indicatori

Configurazione Indicatori

Indicatori animati


Gli indicatori

Gli indicatori/oscillatori disponibili sono:

+DI -DI: (Plus Directional Movement, Minus Directional Movement) è quella parte del movimento compiuta dal prezzo al di fuori del range del giorno precedente. Quando la differenza è positiva il valore del Directional Movement sarà dato dalla differenza tra i massimi (+DI: linea nera), se negativa dalla differenza tra i minimi (-DI: linea rossa). Il segnale operativo di acquisto scatta quanto il +DI perfora al rialzo il -DI e viceversa. +DI e -DI vengono rappresentati nella loro media mobile esponenziale. L'unico parametro indica i giorni su cui vengono calcolate tali medie.

Accumulation/Distribution: Questo indicatore, sviluppato da Marc Chaikin, fornisce una misura della forza del trend in atto sommando o sottraendo una percentuale dei volumi al totale cumulato. Il concetto è semplice e molto simile a quello dell'On Balance Volume: se il prezzo di un titolo è destinato a salire o a scendere, il trend al rialzo o al ribasso dovrà essere supportato dai volumi. La "qualità" dei volumi di contrattazione, e quindi la forza del trend dominante, viene legata alla distanza del prezzo di chiusura (C) da quello massimo (H) e minimo (L) del giorno. Più il prezzo si avvicina al massimo del giorno, maggiore è la percentuale dei volumi di contrattazione sommata all'indicatore. Viceversa, se il prezzo di chiusura si avvicina al minimo, una grande percentuale dei volumi verrà sottratta al valore dell'indicatore. Se il prezzo di chiusura si trova esattamente a metà tra massimo e minimo, il valore dell'indicatore rimane invariato rispetto al giorno precedente. Un trend al rialzo farà salire il valore dell'indicatore, viceversa per un trend al ribasso. Questo indicatore assolve allo scopo di confermare la bontà del trend e dovrebbe essere confrontato con il grafico del titolo per individuare eventuali divergenze, indicanti un indebolimento della tendenza in atto con possibilità di inversione della tendenza. Una divergenza ribassista si ha quando il prezzo continua a segnare nuovi massimi e l'indicatore no. Una divergenza al rialzo si ha invece quando il prezzo continua a segnare nuovi minimi e l'indicatore no.
In tal modo si può avere un segnale di rafforzamento del trend prima che il prezzo sia aumentato o diminuito troppo

ADX: calcola e disegna la media tra +DI e -DI. Aiuta ad individuare il trend del mercato, identificando la forza del movimento in atto. Dell'indicatore viene rappresentata la sua media mobile esponenziale. L'unico parametro indica i giorni su cui viene calcolata tale media.

Andromeda: si tratta di una media mobile adattativa, che si adatta cioè, allungandosi ed accorciandosi, alla serie storica dei prezzi in base alla velocità di variazione dei prezzi stessi. Quanto più il momentum è lontano da zero, tanto più Andromeda prende velocità, avvicinandosi al trend. I tre parametri utilizzati sono: 1 = giorni sui quali viene definito il momentum; 2 = giorni prima mobile esponenziale; 3 = giorni seconda media mobile esponenziale;

BOB: è una media bollinger. Le bande di Bollinger sono uno strumento di analisi molto interessante: il loro scopo è quello di fornire una misura attendibile del grado di "normalità" delle variazioni nell'andamento di una serie storica sul periodo preso in esame. Vengono costruite partendo da una media mobile esponenziale di N giorni alla quale viene sommato (banda superiore) e sottratto (banda inferiore) un valore pari alla deviazione standard, calcolata sul periodo P e moltiplicata per un fattore superiore a uno, definito dall'utente. La deviazione standard è un indicatore statistico che misura la variabilità intrinseca di una serie storica: nel nostro caso si considera la deviazione standard della serie storica nei N giorni precedenti quello attuale, una sorta di deviazione standard mobile. In questo modo le bande di Bollinger seguono l'andamento del titolo allargandosi o restringendosi a seconda della variabilità riscontrata nel periodo. La perforazione di una delle bande da parte del grafico del prezzo può allora indicare un movimento anomalo, in quanto eccede la variabilità storicamente "normale". I tre indicatori utilizzati sono 1 = i giorni sui quali calcolare la media mobile esponenziale; 2 = i giorni sui quali calcolare la deviazione standard; 3 = il fattore per cui la deviazione standard viene moltiplicata;

Correlazione: appare nella parte superiore della finestra del grafico quando si confrontano due titoli. Viene espressa da un valore che può andare da -1 a 1. Il valore -1 indica che i due titoli sono inversamente correlati, ossia ad ogni movimento positivo di uno corrisponde un uguale movimento negativo dell'altro; 1, al contrario, indica perfetta correlazione tra i due titoli; 0 significa che i due titoli sono perfettamente decorrelati, ossia si muovono in modo totalmente indipendente tra loro. E' molto usata dai gestori professionali per la costruzione di portafogli ottimizzati sotto il profilo rischio/rendimento.

Coppock Index: è un indicatore di lunga durata che aiuta ad identificare i trend primari. Il suo funzionamento è alquanto semplice e si basa sul calcolo del differenziale percentuale tra il valore di una media mobile esponenziale a n giorni ed il valore della stessa 12 mesi prima. L'unico parametro indica i giorni su cui viene calcolata la media mobile esponenziale.

Deviazione Standard: la deviazione standard rappresenta una misura della volatilità dei prezzi in un determinato periodo, ossia quantifica il loro scostamento dalla media a n giorni. Il metodo di calcolo usato è quello dello scarto quadratico medio. Durante un trend al rialzo si ritiene che un'alta volatilità dei prezzi possa indicare l'esaurimento della spinta rialzista (con conseguente correzione) e, viceversa, una bassa volatilità durante un trend al ribasso riveli un mercato esaurito. L'unico parametro presente indica il numero di giorni su cui calcolare la deviazione standard.

Forza Relativa: E' un indice che si basa sull'importanza del prezzo di chiusura. Diversi studi di analisi tecnica sostengono che il prezzo di chiusura è il termometro della salute di un titolo: quanto più infatti è vicino ai massimi della seduta, tanto più è forte (e viceversa). La formula quindi calcola la distanza tra chiusura e massimo/minimo rilevato negli stessi giorni. Viene calcolata all'interno del modulo. Questo indice viene mostrato solo nella finestra "Calcolo supporti-Resistenze".

Keltner Channels: disegna sul grafico un canale formato da medie mobili sensibili alla volatilità dei prezzi. Serve per distinguere le zone di congestione dei prezzi dai trend definiti. Simili alle bande di Bollinger, presentano molte delle loro caratteristiche. La differenza è che la volatilità viene calcolata usando i massimi e i minimi, anzichè lo scarto quadratico medio. L’unico parametro che è possibile personalizzare imposta il numero dei giorni sui quali viene calcolato l’indicatore.

MACD: Questo indicatore è uno dei più noti in analisi tecnica. E' composto da due curve:
1 - Indicatore: il valore in ogni punto è dato dalla differenza tra una media mobile esponenziale breve e una media esponenziale lunga (nella versione standard breve =12 giorni e lunga = 26 giorni).
2 - Media di livellamento: alla curva dell'indicatore viene sovrapposta una sua media mobile esponenziale (9 giorni nella versione standard) detta linea segnale.
I segnali operativi generati da questo indicatore sono i seguenti:
> Quando l'indicatore è negativo e al di sotto della linea segnale si sta preparando un segnale di acquisto (o ricopertura) che scatta quando l'indicatore perfora al rialzo la linea segnale .
> Analogamente, quando l'indicatore è positivo e al di sopra della linea segnale si deve essere pronti a vendere (o vendere allo scoperto) quando avviene la perforazione della linea segnale. I tre indicatori utilizzati sono 1 = giorni prima media mobile esponenziale; 2 = giorni seconda media mobile esponenziale; 3 = giorni media di livellamento.

Media Centrata: E' una media esponenziale spostata indietro di N giorni e rettificata in base alla volatilità del titolo. Corregge il ritardo fisiologico di qualunque media mobile, rispetto al trend sul quale è calcolata. Con fattore di ponderazione della deviazione standard pari a zero si ottiene la centratura della media, che si abbassa, rispetto al trend, con fattore superiore. I tre indicatori utilizzati sono: 1 = giorni media mobile; 2 = giorni deviazione standard; 3 = fattore di ponderazione della deviazione standard.

Media Centrata Corretta: L'algoritmo di calcolo parte dal valore della media centrata corretta e vi applica il momentum. Con momentum negativo la media si alza rispetto al trend e ne diviene resistenza; viceversa con momentum positivo I primi tre parametri sono gli stessi della Media Centrata; il 4) definisce i giorni del momentum.

Media Mobile Esponenziale: La caratteristica fondamentale di questo tipo di media è quella di mantenere in memoria l'intera storia passata del titolo, ottenendo quindi un livellamento (smoothing) più fluido.Tutti i dati vengono presi in considerazione, con pesi che tendono progressivamente a zero mano a mano che ci si sposta all'indietro lungo la serie temporale. L'unico parametro indica i giorni su cui viene calcolata.

Media Semplice: fa la media aritmetica semplice dei prezzi degli ultimi n giorni. L'unico parametro indica i giorni su cui viene calcolata.

Meisels: è un oscillatore di breve periodo assai preciso nell'evidenziare le situazioni di ipercomprato / ipervenduto. Lavorando su una media mobile esponenziale a n giorni (primo parametro impostabile) il valore dell'oscillatore viene aumentato, o diminuito di 1 ogni volta che la media mobile aumenta o diminuisce rispetto alla misurazione precedente. Il secondo parametro serve per impostare il numero massimo di giorni analizzati.

Momentum: (d-momentum index) è dato dalla differenza tra una quotazione e quella di un certo numero (n) di giorni prima. "D" sta infatti per difference e si esprime in valore assoluto. Permette di valutare la velocità di variazione dei prezzi (in aumento o in diminuzione). Il parametro definisce gli n giorni.

OBV (On Balance Volume): questo indicatore, ideato da J. Granville, si basa sull'ipotesi che le mani forti del mercato si muovano nel mercato con un certo anticipo rispetto alla massa degli investitori. Questo anticipo viene identificato dalla divergenza tra OBV e i prezzi. In circostanze normali invece l'indicatore si muove parallelamente ai prezzi del titolo sottostante. L'unico parametro indica i giorni su cui viene calcolato.

Parabolica Sar: fu ideato da Welles Wilder e pubblicato per la prima volta su New Concepts in Technical Trading Systems (1978 - Trend Research). Il SAR può esse applicato a tutti gli orizzonti temporali su grafici daily, weekly e monthly. E' un indicatore che cerca e identifica i trend, creando un trading system basato sui trailing stop, posizionati sotto il grafico in un trend al rialzo, o sopra in uno al ribasso. All’inizio del nuovo trend, in concomitanza con il segnale di trade, lo stop è assai lontano dal prezzo per proteggere dall’eventuale correzione iniziale, poi tende ad avvicinarsi sempre più ai prezzi, facendo scattare il segnale di cambio di posizione non appena il prezzo perfora lo stop. Il SAR è controllato da tre parametri: la base di partenza del Fattore di Accelerazione (FA), l'incremento che l'FA può avere quando viene segnato un novo massimo o un nuovo minimo ed il massimo dell'FA. Il movimento del SAR assomiglia ad una parabola, da cui il nome.

Pista ciclica: L'esame degli scarti in un determinato periodo di tempo tra le quotazioni giornaliere e le medie mobili costituisce un valido elemento per interpretare l'andamento del corso di un titolo. Sul calcolo di questi scarti si basa l'indicatore Pista Ciclica. Questo indicatore ha due funzionalità:
1) Mostrare il modo in cui il titolo si muove intorno alla propria media mobile.
2) Individuare le fasi in cui la variabile analizzata sta attraversando periodi "anomali", caratterizzati cioè da oscillazioni particolarmente forti, spinta da ampi movimenti che possono determinare le cosiddette fasi di ipercomprato o ipervenduto.
Il grafico dell'indicatore visualizza in ogni giorno lo scarto percentuale tra il prezzo e la media mobile. Per valutare le zone in cui questo scarto raggiunge livelli anomali si utilizza la deviazione standard (o scarto quadratico medio) calcolata su tutti i giorni della serie storica e moltiplicata per un fattore che consente di tarare il grado di variabilità sulla serie storica in oggetto. I valori di default sono rispettivamente 14 giorni per la media mobile e 2 per il fattore di ponderazione. Modificando il valore di questo fattore si può ampliare o restringere la zona di anomalia, che è comunque funzione sia del titolo in esame che della media mobile applicata. Questo è un elemento importante poiché non tutti i titoli quotati hanno la stessa variabilità nelle quotazioni. Infatti mentre da un lato determinate oscillazioni possono essere normali per un titolo usualmente soggetto a grosse variazioni, dall'altro possono indicare particolari tensioni per un titolo di solito "tranquillo". Lo studio personalizzato ai vari titoli della bande di oscillazione evita appunto di applicare gli stessi parametri a titoli con caratteristiche completamente differenti. l due parametri da indicare rappresentano: 1) i giorni media mobile; 2) il fattore di ponderazione della deviazione standard.

R.O.C.: Relative on Close. Questo indicatore rappresenta un momentum normalizzato. La formula parte dal calcolo del momentum (d-momentum index); le variazioni di prezzo non vengono lasciate in valore assoluto ma espresse in termini percentuali (p-momentum index). Tali valori vengono poi normalizzati da media mobile esponenziale. I parametri rappresentano: 1) i giorni per il calcolo del p-momentum index; 2) giorni media mobile;

RSI o Relative Strenght Index. Questo indicatore, o Indice di Forza Relativa, è anch'esso un misuratore di "momentum", perchè indica, in sostanza, quante volte negli ultimi n giorni il titolo ha subito più rialzi che ribassi. Consente quindi di analizzare in modo efficiente gli stati del mercato, individuando le fasi di normalità da quelle in cui è presente una maggior pressione della domanda (ipercomprato) oppure dell'offerta (ipervenduto). L'algoritmo di calcolo è piuttosto articolato e si svolge in più fasi. Si definisce Forza Relativa (RS) del mercato a n giorni il rapporto tra le medie esponenziali degli incrementi e dei decrementi di prezzo avvenuti negli ultimi n giorni. L'Indice di Forza Relativa si ottiene quindi normalizzando il risultato in modo che il campo di variazione sia compreso tra 0 e 100. Potete personalizzare questo indicatore sia specificando il periodo di calcolo (nella finestra di personalizzazione indicatori - opzioni - configura indicatori) che indicando i valori di ipercomprato e ipervenduto (nella finestra configurazione grafici - puls. dx del mouse sul grafico) Generalmente sono utilizzati i valori di 70 e 30 per indicare rispettivamente i livelli di ipercomprato e ipervenduto. Anche l'analisi delle divergenze tra indicatore e curva dei prezzi sembra fornire indicazioni attendibili. Una divergenza positiva (cioè al rialzo) si ha quando il prezzo continua a scendere mentre l'RSI smette di segnare nuovi minimi. Una divergenza negativa accade invece quando il prezzo continua a salire mentre l'indicatore non fa segnare nuovi massimi. L'unico parametro presente indica gli n giorni.

Stocastico: Questo oscillatore si rivela utile per prevedere e anticipare le fasi di inversione di tendenza e indica chiaramente gli stati di ipercomprato e ipervenduto confrontando l'ultimo prezzo con i massimi ed i minimi toccati negli n giorni precedenti. Su tali valori viene poi disegnata una prima media mobile semplice, cosiddetta Fast o Veloce, sulla quale, a sua volta ne viene calcolata un'altra Slow o Lenta. I tre parametri utilizzati sono: 1 = giorni sui quali vengono cercati i massimi ed i minimi; 2 = giorni prima mobile semplice; 3 = giorni seconda media mobile semplice.

TD Trend Line: è un indicatore di trading ideato da Demark. Le indicazioni si ottengono alla rottura, da parte dei prezzi, di supporti e resistenze che vengono disegnati automaticamente da programma sulla base dei "Punti di inversione". La funzione lavora solo sul segmento dati visualizzato sul grafico e viene aperta dall'apposito pulsante [image] presente nella Toolbar Utility. L a formula cerca, iniziando dai dati più recenti, i 4 massimi crescenti (o minimi calanti) consecutivi e contrassegna il più recente quale primo punto di inversione. La ricerca del secondo punto, necessario a disegnare una retta, avviene a ritroso, con lo stesso criterio del primo. Il secondo punto deve rispettare però anche la doppia condizione di essere superiore al primo, se si tratta di massimi (o inferiore se minimi) e non essere seguito da successivi ulteriori massimi (o minimi), nel qual caso viene scelto l'ultimo della serie. Ottenuti i due punti la funzione li unisce con una retta che parte dal secondo verso il primo e fino alla fine del grafico. Dall'unione, due a due, dei punti di inversione creati sui massimi si ottengono resistenze azzurre discendenti e viceversa supporti rossi ascendenti. Il segnale è long quando il titolo perfora la retta azzurra, short quella rossa. Per la massima precisione grafica è consigliabile lavorare con il grafico a barre. Come anche per gli altri indicatori il sistema funziona indifferentemente tanto per barre giornaliere, quanto per le settimanali o mensili.

TREI: è un indicatore, elaborato da Demark, che non ha bisogno di parametri in quanto calcola autonomamente un oscillatore. Il segnale di vendita si manifesta quando l'oscillatore, dopo averlo superato, rientra al di sotto di un valore predefinito (45) viceversa per l'acquisto, usando lo stesso valore, ma con segno negativo.

TVI: è un oscillatore che lavora, come l'OBV, su volumi e prezzi. I segnali vengono dalle divergenze tra l'indicatore e i prezzi. In circostanze normali invece l'indicatore si muove parallelamente ai prezzi del titolo sottostante. Non serve impostare alcun parametro.

Volumi: indica il numero, o il valore nominale dei titoli trattati nella seduta.

Williams %R: questo oscillatore stocastico cerca di individuare le fasi di ipercomprato/ipervenduto mettendo in relazione i prezzi di chiusura con il range di prezzi (min/max) di n giorni precedenti. Zona di ipervenduto tra -100 e -80 e zona di ipercomprato tra -20 e 0. Questo indicatore è in un buon anticipatore delle inversioni nella curva dei prezzi: in un mercato toro quasi sempre forma un massimo e poi ridiscende qualche giorno prima che lo faccia il prezzo del titolo. Viceversa in un mercato orso tocca il minimo e risale prima del titolo. L’unico parametro che è possibile personalizzare imposta il numero dei giorni sui quali viene calcolato l’indicatore.

Argomenti correlati:

Indicatori animati

Configurazione Indicatori

Impostazione grafici

Supporti/Resistenze


Indicatori_animati

Indicatori Animati

La consolle di controllo degli indicatori animati si apre cliccando sul pulsante [image] della finestra Impostazione Grafici e rimane aperta anche durante la visualizzazione dei grafici sottostanti.

Permette di visualizzare immediatamente sul grafico la variazione dei parametri impostati per l'indicatore, cliccando sulle freccette a fianco di ogni parametro. (> per aumentare il valore o < per diminuirlo).

Argomenti correlati:

Impostazione grafici


Liste titoli

Liste titoli

Poter consultare i grafici dei soli titoli che interessano, senza perdere tempo a cercarli, raggruppando i titoli secondo criteri particolari, ad esempio quelli del vostro portafoglio, distinti da quelli che invece state solo seguendo, o gli indici o altro ancora. Se tutti questi dati si trovano all'interno di un unico database, potete creare gruppi di titoli con la funzione Lista che può essere aperta da menù File - Gestione Lista, o con il tasto funzione F8, o ancora, con il pulsante [image] che appare barrato da una X rossa se non avete liste attive e state lavorando direttamente sul database, senza filtri.
Il pulsante appare così, [image] se avete in carico tutti i titoli del database, con il numero della lista caricata [image] se state utilizzando una delle tre liste che potete gestire voi, o così [image] se la lista è stata creata da Wizard Screening.

Utilizzare una lista significa quindi limitare la scelta ai soli titoli presenti in quella lista. Tutti gli altri rimangono invisibili, finchè non si chiude la lista.

Le liste vanno create, caricandovi i titoli e poi utilizzate.

La finestra "Elaborazione lista titoli" si apre con il pulsante F8, o cliccando sull'icona "Carica lista titoli" presente sulla Toolbar Comandi" o ancora da menù "File" - "Gestione Lista"

Per caricare un titolo in una lista è necessario evidenziarlo sulla finestra di sinistra, quella che contiene tutti i titoli del database e cliccare sul tasto " > " adiacente alla lista in cui si vuole inserirlo.
Per scaricare un titolo da una lista è necessario evidenziarlo sulla finestra di destra, quella contenente i titoli della lista che si vedono dopo aver cliccato su "Carica Lista1, 2 o 3" e cliccare sul tasto " < " adiacente alla lista in cui si vuole inserirlo.
Il tasto " >> " permette di caricare tutti i titoli del database in una lista, mentre il tasto " << " cancella tutta la lista, sempre quella adiacente ai pulsanti.

Una volta caricati i titoli le liste vengono automaticamente salvate nel database sottostante e sono così disponibili per le sessioni successive.

Finestra di elaborazione lista titoli

Per l'utilizzare una lista bisogna aprire questa finestra, far leggere a RealChartsTS la lista con il pulsante "carica lista" posto sotto la stessa e cliccare infine sul pulsantino OK per caricarla. Per scaricare la lista cliccare sul pulsante rosso "Esci da lista", opppure su [image] presente in Toolbar comandi.

I titoli presenti in una lista sono in ordine alfabetico, mentre se non avete alcuna lista caricata e fate scorrere i grafici, essi appariranno nello stesso ordine in cui sono registati nel database, quasi mai alfabetico. E' possibile usare la funzione "Carica Tutto" presente nella finestra "Elaborazione lista titoli" proprio per ordinare alfabeticamente tutti titoli del database.

Le liste sono cinque: tre quelle che potete creare e gestire voi, una che carica tutti i titoli del database e un'altra creata da RealChartsTS con i titoli scelti dallo screening. Le ultime due sono liste temporanee e si perdono con la chiusura del programma, mentre le vostre tre vengono registrate nel database e sono quindi permanenti.
Un grosso vantaggio offerto dalla registrazione delle liste sul database è che se utilizzate più di un database, ad esempio per coprire mercati diversi, avrete a disposizione tre liste per ogni database.

Argomenti correlati:

Wizard Screening


Moduli

Moduli

Si tratta di funzioni progettate direttamente da Renato Di Lorenzo ed il suo staff esclusivo . Questi moduli trattano argomenti disparati: nuovi strumenti, nuove tecniche di trading, nuove interpretazioni dei mercati etc., ed è possibile vederli concretamente realizzati sui titoli che state seguendo con RealChartsTS. L'uso è estremamente semplice. E' sufficiente, una volta aperto il titolo, chiamare il modulo desiderato dall'omonima tendina a menù e RealChartsTS fa tutto il resto: calcoli, grafici, tabelle etc, a seconda dei moduli.

Moduli disponibili:

1. Overnight Trading
In contrapposizione all’intraday trading, tecnica che chiude tutte le posizioni a fine giornata, l’overnight trading le tiene aperte appositamente di notte, e lo fa perché, contrariamente a quel che si pensa, quasi sempre è molto più conveniente...
RealChartsTS, in questo modulo, calcola se per il titolo aperto è più conveniente lavorare intraday oppure overnight e vi dice anche quanto si guadagna mediamente lavorando in un modo o nell'altro.

2. Domani Aprirà al Rialzo? (Overnight Trading - 2)
Questo modulo calcola la convenienza ad operare con l’overnight trading o, più in generale con il trading veloce ed aiuta coloro che ricadono nella vasta categoria degli scalper: esiste qualche segnale premonitore oggi del fatto che domani l’apertura sarà più alta o più bassa della chiusura di oggi? La risposta - pur con qualche distinguo - è sì.
RealChartsTS sul titolo aperto cerca tra tutte le relazioni di prezzo possibili quella che fornisce le indicazioni più convenienti e calcola l'affidabilità del risultato.

3. Sfruttare i cicli.
Una analisi dei cicli di nuova concezione per riuscire a sfruttare i movimenti di breve periodo, che è il sogno di tutti i trader. Poter prevedere, con ragionevole precisione, quando invertirà il movimento in atto, consente di fare anche proiezioni sul target. Con questo modulo Renato Di Lorenzo presenta una tecnica nuova per determinare la durata dei cicli. Un'analisi statistica che aiuta a determinare in anticipo il periodo preciso all'interno del quale dobbiamo aspettarci le inversioni, con esposizione anche grafica, oltre che tabellare, del risultato.


Nota

Nota:

Questo software e i testi, anche se curati con scrupolosa attenzione, non possono comportare specifiche responsabilità per involontari errori, inesattezze o uso scorretto del programma stesso.

Inoltre i mercati possono salire come scendere e non esistono metodi che ne prevedano l'andamento con certezza.

Gli autori di questo software non possono assumersi responsabilità per perdite conseguenti alle operazioni eseguite sui mercati in relazione all'utilizzo del programma e dei testi.

Infine si ricorda che i risultati conseguiti dal software sui dati passati non forniscono alcun tipo di garanzia per i risultati futuri.


Novità

Novità

La versione 2006 di RealChartsTS mantiene tutte le funzioni presenti in precedenza e rimane compatibile con tutti i sistemi operativi Windows dal 98 in poi.

La nuova release 2006 è stata sviluppata con un occhio di riguardo per il trading veloce.

La funzione supporti/resistenze, infatti, fornisce la previsione dei prezzi che si formeranno in giornata, con pivot, supporti e resistenze, calcolati secondo i numeri di Fibonacci e le teorie di Taylor. Può essere utilizzata come trading system intraday, o come indicatore di limiti di prezzo per le negoziazioni di coloro che lavorano su periodi più lunghi.

Abbiamo migliorato le prestazioni complessive del sistema e aggiunte alcune funzioni di utilità grafica, come gli Indicatori animati, che permettono di visualizzare, in diretta sul grafico, come si muovono gli indicatori al variare dei loro parametri di configurazione.

Abbiamo aggiunto nuovi indicatori di analisi tecnica, tra i quali, il TD TrendLine che disegna automaticamente supporti e resistenze.

Nella funzione confronto abbiamo aggiunto la funzione Correlazione utile nello stock picking per costruire portafogli davvero diversificati e con un miglior rapporto rischio/rendimento.


Gestione Portafoglio

Gestione Portafoglio

RealChartsTS vi permette di controllare giornalmente come stanno andando i vostri titoli. Basterà inserirli nel portafoglio, indicando in particolare il prezzo di acquisto e la commissione pagata. Ad ogni successivo aggiornamento dei dati viene adeguato il prezzo di mercato e per ogni posizione potrete vedere utili e perdite.

Esistono due memorie portafoglio:

  • Memoria disco: permette di salvare in un database esterno (Portafoglio.mdb) un numero indefinito di portafogli diversi Per funzionare correttamente Portafoglio.mdb deve essere sempre collocato nella stessa directory dove si trova il database principale. (Ad esempio ItalyInd.mdb). Quando accede al menù portafoglio con F11 oppure Menu >Studi > Avanzati > Gestione Portafoglio si accede all'ultimo portafoglio visualizzato/salvato.

  • Memoria RAM: è un unico portafoglio temporaneo sul quale vengono trasferiti, all'apertura, i portafogli di Memoria disco. Vi si possono aggiungere automaticamente i titoli selezionati da Wizard Screening con la funzione "aggiungi al portafoglio".

Per il caricare/scaricare i titoli dal portafoglio aprire la funzione "Lista" da menù portafoglio (F4)

Carico titoli: Evidenziate il titolo che vi interessa sul lato sinistro (elenco titoli), e cliccate su ">" per caricarlo in portafoglio. Il tasto >> li carica tutti.

Scarico: evidenziate il titolo a destra, da "Lista Titoli" e con i pulsanti "<" scaricate il singolo titolo o "<<" per azzerare tutto il portafoglio.

Sistemato l'elenco dei titoli, cliccate su "Aggiorna" e poi "Chiudi" per chiudere la finestra.

Per inserire la quantità ed il prezzo di carico, date doppio click sulla colonna "Quantità" oppure "Prezzo di carico", alla riga del titolo che vi interessa. Si apre la finestra Parametri nella quale andrete ad inserire le vostre operazioni. Aggiungi: aggiunge la quantità evidenziata e media il prezzo di quanto già possedete; Modifica: assume i nuovi valori inseriti, azzerando quelli eventualmente già esistenti.

Una volta caricato l'elenco dei titoli bisogna metterli "In osservazione" con doppio click sul campo relativo a ciascun titolo.

Doppio click su "Long" della colonna "Posizione", inverte il segno passando alternativamente da "Long" a "Short" e calcolando, conseguentemente l'utile o la perdita.

Finestra Portafoglio. Per aprirla F11, oppure Menu >Studi > Avanzati > Gestione Portafoglio

Menù gestione portafoglio:

"Apri Portafoglio" e "Cancella portafoglio": finestra di scelta del nome

  • Apri portafoglio: apre uno dei portafogli salvati; (per i portafogli di memoria Disco)

  • Salva portafoglio: salva il portafoglio corrente con nome da attribuire; (solo memoria specifica). NB: il nome del portafoglio può contenere solo caratteri alfanumerici non separati da spazi o segni di punteggiatura.

  • Cancella portafoglio; (solo memoria specifica)

  • Lista (o F4): si apre la finestra che permette il carico e lo scarico dei titoli dal portafoglio (per tutti i portafogli)

  • Carica grafici: crea una lista con i titoli del portafoglio per la visualizzazione dei grafici, evidenziando il prezzo di carico con un segno "+" posto sull'ordinata destra.

Argomenti correlati:

Gestione StopLoss e BreakOut


Presentazione

Presentazione

Esempio di finestra di lavoro di RealChartsTS con rendiconto grafico generato da ETOS

RealChartsTS, (TradingSystem) è un nuovo programma di analisi tecnica, quello che non c'era. In che cosa si differenzia da tutti gli altri software dello stesso tipo? Nel fatto che abbiamo tolto tutto ciò che a nostra esperienza non funziona ed abbiamo aggiunto ciò che realmente serve ai traders, ad esempio la possibilità di fare screening, che forse è la più importante delle funzionalità perché consente di isolare i titoli che secondo i nostri trading systems sono in quel momento in posizione buy o sell (ricordate: "timing is all"). Conseguenza di questa cura dimagrante è non solo una maggiore agilità e funzionalità, ma anche un prezzo che è circa la metà di quello che sarebbe stato appesantendolo di tutto ciò che non serve a nulla. Ma RealChartsTS è qualcosa di più: non solo ha tolto dai software convenzionali ciò che normalmente serve a poco, ma è un work-in-progress, nel senso che si arricchirà via via di nuove funzioni che gli altri software non potranno avere, perché tali funzioni saranno progettate direttamente da Renato Di Lorenzo e dal suo staff esclusivo. Gli acquirenti di RealChartsTS avranno diritto a ricevere gli aggiornamenti a prezzi minimi, per essere sempre davvero la leading edge - la punta di diamante - nella quotidiana lotta corpo a corpo con i mercati finanziari.

RealChartsTS si caratterizza per particolari funzioni "Trading System" sviluppate su tre livelli:

  1. "WS", Wizard screening, che supporta i traders nella scelta dei titoli - stock picking, primo livello del sistema - già apprezzato nelle precedenti versioni di RealCharts; permette la costruzione e l'applicazione di filtri per l'estrazione di titoli che si trovano in particolari condizioni. Tali titoli vengono quindi inseriti in una lista autonoma e possono essere visualizzati uno dopo l'altro in modo sequenziale, senza bisogno di andarli a cercare fra gli altri.

  2. "WSI" Wizard Simulatore Indicatori - secondo livello - che permette di ideare e costruire trading systems con formulazioni anche complesse e di verificarne la qualità in backtesting, mediante misurazione delle performance e accurata rendicontazione sia grafica che analitica.

  3. "ETOS" Easy Total Optimation System - terzo livello. Si tratta di un ottimizzatore di parametri per tutti gli indicatori e oscillatori presenti nel sistema. Non solo, ma tali indicatori possono essere anche combinati fra di loro, creando formule esclusive, e quindi ottimizzati.

Altre novità importanti sono la gestione del portafoglio, dei livelli breakout e stop-loss, per un monitoraggio professionale e costante dei vostri investimenti.

RealChartsTS fornisce figure grafiche chiare, immediatamente leggibili. Oltre ad essere completo dei più diffusi oscillatori utilizzati in analisi tecnica, propone indicatori di nuova concezione. Utilizza serie storiche scritte in database formato Access, che è lo stesso di tutta la produzione software RDL &A. Viene così semplificato il lavoro di manutenzione, dato che si possono utilizzare programmi con funzioni diverse, eseguendo un solo aggiornamento dati.

E poi c'è il "RealSimulator", derivata dall'ormai noto Sex-Sim, che usa storie vere, quelle dei titoli presenti nel vostro database e si permette, alla fine di ogni simulazione, di darvi qualche consiglio in base all'esito della prova.
RealChartsTS lavora con 4 dati giornalieri, apertura, massimo, minimo e chiusura e può disegnare grafici su scala lineare, logaritmica e percentuale, nei tre classici formati: zig-zag, istogramma e candela giapponese, con campionamento giornaliero, settimanale o mensile, potete visualizzare, a scelta, una sola candela per settimana, mese o giorno. Sui vostri grafici potete poi aggiungere volumi, indicatori, oscillatori e note descrittive, rette di supporto e resistenza, figure geometriche ed infine salvare la vostra analisi.
RealChartsTS dispone di una particolare funzione che vi permette di passare da un grafico all'altro con un semplice click del mouse. Potrete vedere in sequenza tutti i titoli del database, o solo quelli che vi interessano scelti da Wizard Screening o da voi ed inseriti in una delle liste disponibili.
Grazie al modulo AspToDba (fornito in dotazione), che utilizza i flussi dati scaricati da Internet, le operazioni di aggiornamento sono semplici e rapide. Viene consegnata una matrice di database, "Master.mdb", che serve per creare archivi diversi per ogni mercato. RealChartsTS potrà così essere usato su un panorama vastissimo di titoli di quasi tutte le borse del mondo.
Per approfondire lo studio degli strumenti proposti in questo software e, più in generale, dell'analisi tecnica, consigliamo la lettura di "Guadagnare in Borsa con l'analisi tecnica" di Renato Di Lorenzo, opera in tre volumi, edita dal Sole 24 Ore.

Argomenti correlati:

Principali caratteristiche di RealCharts TS


Principali caratteristiche di RealChartsTS

Principali caratteristiche di RealChartsTS:

  1. Utilizzo del database standard;
  2. Grafici in scala lineare, logaritmica e percentuale.
  3. Grafici con campionamento giornaliero, settimanale e mensile;
  4. Grafica personalizzabile con possibilità anche di disegnare figure geometriche;
  5. Flessibilità dimensionale della finestra grafici, con possibilità di proiezione sia sull'asse dei prezzi che delle date;
  6. Ampia gamma di indicatori e oscillatori;
  7. Salvataggio delle analisi grafiche e dei commenti in formato testo;
  8. Sovrapposizione e confronto percentuale fra due titoli;
  9. Dual Charts : possibilità di confronto tra due titoli visualizzandone contemporaneamente i grafici;
  10. Tre diverse liste di titoli per ogni database;
  11. Screen temporizzato dei grafici;
  12. Scelta immediata periodo del grafico con un solo pulsante;
  13. Finestra di impostazione grafici per l'inserimento di parametri comuni a tutti i titoli
  14. Gestione profilo personale di visualizzazione dei grafici.
  15. WS: Elaborazioni ed estrazioni di titoli con l'utilizzo di filtri personalizzabili
  16. WSI: trading system aperto con la possibilità di creare nuovi indicatori
  17. ETOS: trading system con ottimizzatore di tutti gli indicatori disponibili
  18. Gestione livelli di Break Out
  19. Stop automatico su parametri preimpostati o personalizzabili.
  20. Supporti e resistenze di Fibonacci, sui prezzi e sull'asse temporale,con proiezione sulle date future.
  21. Ventaglio di Gann
  22. Funzione Indesiderati, che esclude la possibilità di aprire titoli non aggiornati.
  23. Funzione Adatta Trend, che allunga le rette a destra fino all'ultimo giorno di dati;
  24. Visualizzazione dati e valori puntuali delle medie mobili;
  25. Possibilità di inserire manualmente dati.
  26. Modulo 1: "Overnight trading 1"
  27. Modulo 2: "Domani aprirà al rialzo?"
  28. Modulo 3: "Sfruttiamo i Cicli"
  29. Rettifica dati;
  30. Layout grafico personalizzabile;
  31. RealSimulator anche su dati veri, con rendiconto e giudizio;
  32. Gestione portafoglio titoli;
  33. Gestione stop loss con screening del portafoglio;


RealSimulator

RealSimulator

Derivato dall'ormai noto SEX_SIM, è un simulatore di trading. Consente di "allenarsi", senza conseguenze economiche negative a fare trading. Potete provare a lavorare sul vostro sentiment, su supporti e resistenze da voi disegnati, oppure sugli indicatori impostati nella finestra di impostazione grafici (richiamabile con un click del pulsante destro del mouse sull'area del grafico). In ogni caso è avvincente simulare acquisti e vendite di un titolo vero, dal nome mascherato (Gimmy), scelto fra tutti quelli presenti nel database. In pochi minuti potrete simulare anche un anno di trading, su dati veri. Così, un po' alla volta, applicando le nozioni imparate sui libri, ed esercitandovi con RealChartsTS, saprete interpretare in modo quasi intuitivo i messaggi di un grafico facendo vostre le regole che sono alla base dell'analisi tecnica. Potrete provare, in modo particolare, ad applicare lo stop loss, cosa che spesso, con soldi veri, si rivela più facile a dirsi che a farsi, soprattutto se non si è abbastanza "allenati".

Esempio di finestra di lavoro RealSimulator

Come vedete il layout della finestra, il formato del grafico e gli indicatori disponibili, sono gli stessi di RealChartsTS.
Il pulsante Inizio (rosso) va cliccato DOPO aver scelto i parametri:

  • No Scoperto: se attivo non vi permetterà di andare short, ossia di vendere titoli che non possedete.

  • Scorrimento: se attivo, ad ogni nuovo dato che si aggiunge a destra, elimina il primo a sinistra. Diversamente lo mantiene.

  • Fido: se attivo vi consente di spendere più del capitale disponibile.

  • Capitale: indicate il capitale massimo disponibile per l'investimento, espresso nella stessa divisa dei titoli del database sottostante;

  • Commissioni: Indicate la commissione percentuale trattenuta dalla Banca negoziatrice su ogni operazione. Separatore decimale è il punto, per cui una commissione dello 0,2% si scrive 0.20 (zero punto venti).

Nel campo quantità indicate quante azioni volete negoziare.
Con i pulsanti in alto a sinistra:

  • Acquista: decidete di comprare al prezzo di oggi il numero di azioni indicato nel campo quantità. RealChartsTS posiziona un pallino rosso sotto il grafico in corrispondenza del giorno in cui avete acquistato.

  • Vendi: vendete, con gli stessi criteri sopra descritti, salvo il pallino che è blu e viene posto sopra il grafico.

  • Passa: per oggi non fate nulla. Al grafico si aggiunge una giornata di dati. Prima di cliccare nuovamente su passa è consigliabile aspettare che il PC abbia elaborato la richiesta precedente.

  • Risultato: mostra il rendiconto con il risultato raggiunto. Chiuderlo per proseguire.

Per chiudere definitivamente la funzione simulatore, da menù, cliccare nuovamente su RealSimulator. Ora RealChartsTS vi svela il nome titolo sul quale avete lavorato, vi dice la performance e si permette anche di darvi qualche consiglio. Cliccate sul pulsante di chiusura della simulazione.


Rettifica Dati

Rettifica Dati.

Da Menù File - Rettifica Valori - si accede alla finestra che consente di correggere i prezzi di un titolo fino ad una certa data in conseguenza di assegnazioni gratuite (split), aumenti di capitale, raggruppamenti ecc. Il grafico che ne deriva è così "coerente" con i veri movimenti di borsa del titolo e non con i meri prezzi espressi dal mercato.

Finestra di rettifica e cancellazione dati

Descrizione della finestra "Rettifica":

  • Nome del titolo da rettificare; digitando le prime lettere, o tutto il nome del titolo che vi interessa, nel campo "Nome del Titolo" e aprendo la tendina con il mouse, oppure schiacciando il tasto freccia in giù sulla tastiera del PC, RealChartsTS si posiziona direttamente sul titolo scelto e si appropria del titolo e dei relativi dati presenti nel database. Quando nel campo appare il nome del titolo scelto, tutto è pronto.

  • l’intervallo di dati su cui interviene la rettifica o la cancellazione dati, con espressione delle due date, iniziale e finale. Tali date sono entrambe comprese.

  • il fattore di rettifica (che usa il punto quale separatore decimale) è il valore per il quale, nel periodo selezionato, vengono moltiplicati tutti i prezzi e divisi i volumi.

  • Il pulsante "Rettifica Dati" fa partire l'operazione di rettifica.

  • Al termine della rettifica RealChartsTS ne salva le impostazioni nel database e le richiama in questa finestra, per possibili consultazioni. (Ultimo fattore AIAF e date di applicazione).

  • Il comando "Cancella i dati del TITOLO selezionato per il periodo indicato" permette di cancellare un certo periodo di dati da un singolo titolo. Cancellando TUTTI i dati di un titolo se ne elimina anche il nome dal database.

  • Il comando "Cancella i dati del periodo selezionato per TUTTI i TITOLI del database" permette di cancellare i dati di tutti i titoli su un determinato periodo.

  • Aggiornamento manuale permette di aggiornare manualmente i dati.

  • Crea Nuovo Titolo: per la creazione di nuove anagrafiche. Vanno inseriti: PK titolo che è il codice univoco del titolo e Nome Titolo. Entrambi i campi sono alfanumerici e non devono avere duplicati nella tabella "NOMI" del database.

  • La Funzione "Unione Dati" consente di accodare i dati di un titoli ad un altro. Si devono selezionare i due titoli interessati all'unione. Nella lista "Titolo di Partenza" il titolo da cui vengono prelevati i dati; nella lista "Titolo di Arrivo" il titolo ricevente. Tutti i dati del titolo di partenza vengono aggiunti a quello di arrivo, purchè sulle stesse date il titolo di arrivo non contenga altri dati. La funzione infatti fa un controllo sulle date e scrive solo dove trova spazi vuoti. Nulla viene cancellato o sovrascritto, sia dal titolo di partenza che di arrivo.

NOTA: Nel database i dati vengono sempre accodati a quelli esistenti. L'ordine delle date non ha alcuna importanza, in quanto viene sempre sistemato automaticamente da RealChartsTS.

Nell'unione dati può accadere che i dati di partenza non siano coerenti con quelli di arrivo in quanto, ad esempio, in ogni titolo nuovo sono confluite 3 azioni vecchie. In questo caso, dopo l'unione, procedete con una normale rettifica dati (nell'esempio a 3,33333 dalla data iniziale fino all'ultima data del vecchio titolo).

Esempio di rettifica:

Ad esempio Fiat.mi valeva, prima del raggruppamento del 20 agosto 99, circa 3,2 €. Il lunedì successivo Fiat valeva 32 €, cioè 10 volte più del giorno prima, ma in realtà nulla era cambiato nel valore "vero" del titolo: solo furono sostituite 10 vecchie azioni con una sola di nuova. In questo caso il fattore di rettifica era 10, dalla data iniziale, fino al 20/08/99.
Al termine appare la nota "Rettifica effettuata" e vengono puliti i campi impostati per la rettifica, per evitare che, per errore, si intervenga con una doppia rettifica dei dati.

N.B.: può essere opportuno, prima di intervenire con rettifiche o cancellazione dati, fare una copia del database originale, e conservarla per ripristinare dati involontariamente danneggiati da manovre errate.

I fattori di rettifica sono disponibili su Internet al sito: http://www.aiaf.it/.

Argomenti correlati

Il Database

Accesso al database


Gestione StopLoss e BreakOut

Gestione StopLoss e BreakOut

Una delle caratteristiche più interessanti di RealChartsTS è la gestione degli stop. Potete lasciarli calcolare al sistema, o decidere di impostarli liberamente nel momento in cui entrate su un titolo. Sia che si tratti di Stop automatici, sia che li abbiate definiti manualmente, RealChartsTS li adegua in base all'andamento dei titoli e verifica con lo screening (F2) se il prezzo di chiusura del vostro titolo ha perforato lo stop. Nel caso, ve lo segnala inesorabilmente.

RealChartsTS gestisce gli stop sulla stessa lista titoli del portafoglio presente in memoria RAM. I valori degli stop sono univoci per titolo (a prescindere dal portafoglio nel quale è inserito), in quanto vengono registrati nel database principale.

Finestra StopLoss Watching.

Per aprirla F9, oppure Menu >Studi > Avanzati > Gestione StopLoss

Ecco come si presenta la finestra di gestione degli stop. Una volta creata la lista titoli da Menù "Azione" > "Aggiornamento" (o F4), cliccate (doppio click) sulle caselle "In osservazione" e RealChartsTS calcolerà automaticamente il valore di Stop di ogni singolo titolo. Non solo, ma vi dirà anche la sua posizione sul mercato "Long" o "Short". Dopodichè sarà possibile forzare sia la "Posizione", con doppio click sulla casella corrispondente al titolo che volete modificare, sia inserire manualmente un diverso valore di stop, cliccando (doppio Click) la casella "StopLoss". Questo alterna la posizione da "Automatico" a "Manuale". Nel primo caso lo calcola automaticamente. Nel secondo vi apre la finestra evidenziata qui a destra per consentirvi di scrivere il vostro stop.

Ogni giorno, una volta aperta la tabella StopLoss Watching, sarà sufficiente premere il tasto funzione "F2", o da menù "Azioni" > "Screening", per vedere quali titoli sono fuori stop. Con "F5", ( o menù "Opzioni" > "Titoli Stopped!") vengono elencati i soli titoli fuori stop.

Da menù "Aggiornamento Stop" è possibile scegliere il giorno della settimana in cui si desidera che gli stop vengano aggiornati, oppure con "Aggiornamento Automatico" si apre a piè di schermo, questa finestra, nella quale andrete ad impostare la frequenza di aggiornamento degli stop, scrivendo ogni quanti giorni li volete ricalcolati. Poi si clicca Ok.

Note:

  1. l'aggiornamento degli stop ricalcola sia quelli automatici che quelli manuali, in modo che tutti gli stop siano dei veri "trailing stop", che lasciano correre i guadagni, ma bloccano le perdite. Il sistema adegua tutti gli stop se i titoli conseguono performance positive, li blocca, se negative.

  2. La direzione Long o Short assegnata automaticamente o manualmente ad ogni titolo non viene più modificata dagli aggiornamenti di stop. (Se il mercato cambia scattano gli stop).

  3. Se uno stop scatta RealChartsTS congela tutti i calcoli per quel titolo, evidenzia la data in cui è scattato e, se non lo togliete dalla lista, l'eventuale data di rientro all'interno dei parametri di stop, nella colonna "Rientro Stop Loss". Per riprendere la gestione dinamica del titolo si deve reinserirlo in osservazione, dopo averlo tolto. (doppio click sulla casella Si della colonna "In osservazione" alternativamente scarica e ricarica il titolo). Questo per consentirvi di replicare la logica con cui andrete ad operare sul mercato. Se scatta lo stop il titolo va eliminato dal portafoglio. Lo si può seguire, per vedere se rientra, ma solo se riprendete posizione vi servono nuovi stop.

  4. La posizione nel mercato può essere modificata a mano, con doppio click su Long/Short, oppure può modificarsi quando un titolo viene rimesso sotto osservazione, dopo essere stato tolto (doppio click sulla casella Si della colonna "In osservazione" alternativamente scarica e carica il titolo, assegnandogli automaticamente la posizione sul mercato). Una volta scelta la posizione Long o Short sconsigliamo di variarla fino a quando non scatta lo stop.

Visualizza Grafici mostra i grafici dei soli titoli sotto osservazione in questa lista, ed in particolare dove sono, graficamente gli stop, così come evidenziato.

BreakOut

Alcuni livelli di prezzo sono da tenere sotto osservazione perché significano importanti rotture al rialzo o al ribasso e implicano conseguenti segnali di acquisto o vendita. Ad esempio il superamento di un precedente massimo, meglio ancora un doppio massimo, rappresentano un forte segnale di acquisto.

Si tratta quindi di una particolare gestione di StopLoss, che funziona solo a valori fissi impostati manualmente sui singoli titoli. Il BreakOut è rappresentato sul grafico da una linea scura orizzontale.

Si attiva con il pulsante "BreakOut" posto sulla toolbar utility (finestra > Toolbar Utility).

Finestra BreakOut

Comandi finestra BreakOut:

Prezzo: Scrivete il prezzo di BreakOut

Attiva/Disattiva: registra/annulla il prezzo indicato;

Conferma: cliccate dopo attiva/disattiva per rendere effettive le modifiche e chiudere la finestra.

Long/Short: direzione del mercato: Long fa scattare il BreakOut se il prezzo rompe al rialzo; viceversa Short

>> : apre tutta la finestra breakout (come da immagine) o la riduce ai soli comandi della prima riga. All'apertura successiva vi sarà mostrata come l'avete lasciata.

Sposta di 01,...: vi consente di decidere di quanto si muove il prezzo, una volta scritto un valore di base sulla casella "Prezzo", utilizzando le freccette poste a destra del campo stesso;

Screening: con questo comando BreakOut controlla tutti i titoli attivati e vi elenca, nella finestra sottostante, quelli sui quali si è verificata la "rottura".

Break Attivi: Elenca, nella finestra sottostante, tutti i titoli in osservazione;

Visualizza Grafici: mostra i grafici dei titoli elencati nella finestra sottostante.

Prezzo Chiusura / Prezzo Massimo: scegliere quale fra i due prezzi fa scattare il segnale di rottura;

Cancella tutti BreakOut: elimina tutti i titoli dalla lista di controllo.

Argomenti correlati:

Gestione portafoglio

Stop Automatico


Supporti_Resistenze

Calcolo Supporti-Resistenze

Per aprire il pannello, dopo aver aperto un grafico, cliccate "F6", oppure dal menù a tendina "Moduli" > "Supporti/Resistenze". La funzione lavora sui dati del titolo aperto sul grafico sottostante.

Le indicazioni di questo modulo sono da considerarsi valide per il giorno successivo quello degli ultimi dati caricati, o addirittura per un'operatività intraday come vediamo meglio in seguito.

Il pulsante [image] accanto al nome del titolo permette di nascondere la parte del pannello di controllo che si trova sotto il nome del titolo, lasciando libera la finestra del grafico sottostante, per visualizzare i supporti/resistenze disegnati dal modulo. Al contrario il pulsante [image] fa riapparire tutto il pannello.

Attiva intraday - vale per tutte le funzioni -: consente di aggiungere manualmente i prezzi del durante riferiti al giorno in cui si opera per avere, con maggior precisione, le proiezioni valide fino alla chiusura del giorno stesso.

N.B.: I prezzi aggiunti manualmente su questa finestra non vengono registrati nel database.

Indice

La prima indicazione di questo modulo è l'indice di Forza Relativa degli ultimi 5 giorni e la tendenza degli ultimi 3. E' un indice che trova il suo fondamento nell'importanza del prezzo di chiusura. Quanto più un titolo chiude vicino ai massimo, tanto più è forte (e viceversa). La formula quindi calcola la distanza tra chiusura e massimo/minimo rilevato negli stessi giorni.

Nell'esempio vediamo che Eni ha una discreta forza relativa (65,06%) negli ultimi 5 giorni, ma negli ultimi 3 sta scendendo rapidamente.

L'indicatore di Taylor fornisce prezzi di acquisto e di vendita utilizzando un algoritmo che, partendo dalla volatilità e i prezzi degli ultimi 3 giorni, forma una proiezione di quelli che potranno essere i limiti superiori e inferiori di prezzo per il giorno appresso. I prezzi da considerare sono "Valore acquisto" e "Valore Vendita" che rappresentano rispettivamente un supporto ed una resistenza significative per il giorno in cui si opera.

Oltre al prezzo di acquisto/vendita sono evidenziati (sulla sinistra) tutti i valori calcolati secondo la formula di Taylor che concorrono alla formazione degli stessi.

La funzione supporti/resistenze di Fibonacci: genera, usando solo i dati dell'ultimo giorno e i numeri di Fibonacci, supporti e resistenze valide per il giorno successivo. La formula: (M-m * valore 0,618) aggiunto al massimo/minimo e tolto dal Massimo/Minimo. I prezzi, solo ai fini di questo calcolo possono essere modificati a mano.

La funzione disegna Pivot lavora sui dati di apertura, massimo e minimo dell'ultimo giorno.

Combinando questi dati si ottengono supporti e resistenze per il giorno successivo.

Argomenti correlati:

Indicatori

Aggiornamento manuale

Trading System


Le Toolbars

Toolbar

NB: cliccando su qualsiasi pulsante presente nelle Toolbar si attiva il relativo comando. Con doppio click su qualsiasi area del grafico, lo stesso comando si disattiva. Passando con il puntatore del mouse sui pulsanti delle Toobar, ne appare la descrizione sintetica.

RealChartsTS dispone di cinque toolbar contenenti i comandi d'uso più frequente e sono:

Toolbar Trend

1) Toolbar Trend: questa barra raccoglie i comandi per l'apertura di un titolo, per l'impostazione del grafico [image] lineare o logaritmico, per tracciare rette di supporto e resistenza, disegnare rettangoli e cerchi, sceglierne il colore ( [image]) fra i dodici disponibili e lo spessore ( [image]) fra i 5 disponibili, per scegliere il formato grafico ( [image]) lineare, a barre o candele giapponesi.
Una volta selezionato il comando da Menù strumenti o da toolbar trend, per tracciare una retta sul grafico, portate il mouse sul punto iniziale e trascinatelo con il pulsante sinistro premuto. Al rilascio, la retta si fissa. I comandi diretti presenti su questa Toolbar permettono di aggiungere rette diagonali o orizzontali, di spostarle, modificarne la pendenza (non per quelle orizzontali), cancellarle, aggiungerne di parallele per creare i canali di trend e di prolungarle a destra o sinistra. I pulsanti che impostano il comando vanno cliccati PRIMA dell'operazione.

Toolbar comandi

2) Toolbar Comandi: contiene i seguenti comandi rapidi, (nell'ordine da sinistra):

  • cambiare il database;
  • aprire un grafico precedentemente salvato;
  • salvare un grafico;
  • stampare il grafico aperto;
  • creare un file immagine BMP contenente ciò che è visualizzato sullo schermo
  • aprire la finestra per la gestione dei dati per consultare i dati del titolo aperto, aggiungerne o toglierne (agisce sempre sull'ultima riga), oppure copiarli negli appunti di Windows e renderli disponibili per altre applicazioni.
  • caricare il proprio profilo preferito per la visualizzazione dei grafici. Il profilo può essere creato dalla finestra "Impostazione grafici"
  • gestione liste;
  • uscire dalle liste;
  • leggere automaticamente, o meno, il grafico precedentemente salvato all'apertura di un titolo;
  • pausa, secondi di stop, play
  • i due comandi per passare con un click al grafico precedente o successivo della lista o del database, (equivalenti ai tasti "-" e "+" della tastiera)
  • comandi rapidi per impostare il numero di dati, espresso in mesi (m) o anni (Y), che si vuole prendere in considerazione. Il pulsante attivo si colora di rosso
  • visualizzare il grafico con campionamento giornaliero (Daily = D), oppure settimanale (Weekly = W), o mensile (Monthly = M)
3) Toolbar Prezzi

Toolbar prezzi

mostra tutti i valori del titolo aperto, oltre ai relativi indicatori, se ne avete, nel giorno sfiorato dal puntatore del mouse, oltre al valore esatto in cui si trova il puntatore stesso.

Il puntatore "Cross Hair" può aiutare a definire con maggiore precisione il punto sul grafico cui fanno riferimento i valori esposti "At cursor" nella ToolBar prezzi, oppure ad analizzare con precisione la corrispondenza tra indicatori e titolo alla ricerca, per esempio, di possibili divergenze.

4 ) Toolbar base, qui sotto, è visibile in modo permanente alla base dello schermo ed evidenzia, da sinistra:

Toolbar base

  • Se ci sono note registrate per il titolo (libro aperto) o se non ve ne sono (libro chiuso). Per aprire la finestra e leggere o scrivere le note, cliccate sul libro. Per cancellare le note cliccate con il pulsante destro del mouse sul libro aperto.

  • Cliccando su [image] si apre la finestra che vedete qui a destra. E' possibile impostare il cursore in modo tale che tenendo premuto il pulsante sinistro del mouse e muovendo il cursore sul grafico, venga visualizzato, a scelta su una finestra mobile, il valore sfiorato dal mouse sul grafico, o tutti i valori del giorno in cui transita il mouse.

    esempio di Label posizione cursore

    Esempio di Label posizione analitica.

  • appare [image] se non avete mai ottimizzato il titolo aperto. In tal caso con un click del mouse sull'icona apre il pannello di comando di ETOS; oppure [image] se esistono ottimizzazioni: in tal caso un click con il pulsante sinistro del mouse vi mostra il rendiconto grafico sulla base dei dati dell'ultima ottimizzazione, mentre un click con il pulsante destro del mouse vi apre il pannello di comando di ETOS. E' possibile menù di ETOS, > File > Elimina ottimizzazione, cancellare l'evidenza dell'ultima ottimizzazione e ripristinare il comando [image].

  • appare [image] se non avete mai fatto simulazioni con WSI sul titolo aperto. In tal caso con un click del mouse sull'icona apre il pannello di comando di WSI; oppure [image] se esistono ottimizzazioni: in tal caso un click con il pulsante sinistro del mouse vi mostra il rendiconto grafico sulla base dei dati dell'ultima simulazione, mentre un click con il pulsante destro del mouse vi apre il pannello di comando di WSI. E' possibile menù di WSI, > File > Elimina ottimizzazione, cancellare l'evidenza dell'ultima simulazione e ripristinare il comando [image].

  • Le stesse informazioni della Toolbar Prezzi, ad esclusione del valore degli indicatori: Data, apertura, massimo, minimo, chiusura, valore al punto in cui si trova il puntatore del mouse;

  • Indirizzo del database che state utilizzando

  • L'icona [image] indica che, per il titolo aperto, esiste un grafico precedentemente salvato. Cliccando sul cestino accanto, si cancella il collegamento a tale grafico.

5) Toolbar Utility

Toolbar Utility

Questa toolbar, alla base dello schermo, è richiamabile da menù Finestra > ToolBar Utility e mostra i comandi rapidi per (da sinistra):

  1. Tracciare supporti e resistenze di Fibonacci

  2. Ventaglio e cross di Gann

  3. Mostra/nascone la griglia sul grafico;

  4. DualCharts: per visualizzare contemporaneamente due grafici sullo schermo.

  5. Cambiare il formato del secondo grafico del DualCharts, in modo ciclico da lineare, a barre, a candele.

  6. Confrontare le performance di due titoli con apertura di un secondo grafico sovrapposto al primo. Nel grafico viene anche evidenziato l'indice di correlazione tra i due titoli. (ulteriori informazioni sulla correlazione)

  7. Aprire la finestra "BreakOut";

  8. Attivare lo Zoom: dopo aver attivato la funzione selezionate sul grafico l'area che volete ingrandire, trascinando il mouse da sinistra a destra con il pulsante sinistro schiacciato. Per tornare alla situazione precedente cliccate [image].

  9. : il primo da sx la finestra "Dimensione", di seguito illustrata, il secondo ripristina la dimensione iniziale.

  10. : cancellare tutte le rette e i disegni sul grafico.

  11. : disegna supporti e resistenze calcolati dall'indicatore TD TrendLine.

  12. Chiudere il grafico (non il programma).

  13. Per ulteriori informazioni vedere anche Strumenti, Studi e Indicatori.

Finestra Dimensione:

Muovendo le apposite freccette è possibile aggiungere giorni sul grafico, o aumentare la scala dei prezzi. Ciò consente di realizzare proiezioni di supporti e resistenze sul grafico aperto.

Argomenti correlati:

Descrizione comandi


Trading System

Trading System

RealChartsTS è un vero e proprio trading system sviluppato su tre livelli.

  1. Wizard Screening (WS), funzione che supporta i traders nella scelta dei titoli - stock picking;

  2. Wizard Simulatore Indicatori (WSI) che permette di ideare e costruire trading systems con formulazioni anche complesse e di verificarne la qualità in backtesting, mediante misurazione delle performance e accurata rendicontazione sia grafica che analitica;

  3. Easy Total Optimation System (ETOS) terzo livello. Si tratta di un ottimizzatore di parametri per tutti gli indicatori e oscillatori presenti nel sistema. Non solo, ma tali indicatori possono essere anche combinati fra di loro, creando formule esclusive, e quindi ottimizzati.

Questo capitolo tratta tre sistemi:

  • TS1: Wizard Screening - "WS"

  • TS2: Wizard Simulatore Indicatori - "WSI"

  • TS3: Easy Total Optimation System - "ETOS"

Ogni Trading System ha alcune formule di esempio salvate all'interno di tre apposite directory dedicate (WS, WSI ed ETOS). Si sconsiglia modificare l'indirizzo di allocazione di questi files perchè, in particolare usando la directory principale di RealChartsTS, si potrebbero creare conflitti con altri files di sistema.

Esempio di configurazione cartelle da installazione

All'interno di WS, WSI e ETOS sono presenti formule di esempio.

NB: le formule che troverete già disponibili nel sistema sono state scritte esclusivamente a titolo di esempio, per aiutarvi nella comprensione della logica del linguaggio, non per fornire dei trading systems già preconfezionati.

Argomenti correlati:

Note sulle responsabilità


TS1 WS

TS1 - Wizard Screening:

RealChartsTS consente di applicare filtri personalizzati al database, effettuando, in sostanza, una scrematura dei titoli. Se volete, ad esempio vedere quelli che hanno RSI < 30 (ipervenduto), sarà possibile impostare una formula con Wizard Screening - Menù Studi - Wizard Screening - o F12 - ed il programma isolerà i soli titoli in quella condizione. Con il tasto [image] questi titoli vengono messi in una lista che consente la loro visualizzazione in sequenza, esattamente come per le altre liste; il pulsante "Lista", in questo caso, assume il seguente aspetto: . Per uscire da questa lista, come per le altre, cliccate su [image], oppure caricate una delle altre liste.

Impostate le vostre formule, le potete salvare, con il pulsante Salva per riutilizzarle in seguito. Il pulsante Carica mette in linea formule precedentemente salvate. Cancella elimina una riga di formula per volta, partendo sempre dall'ultima, mentre Reset elimina tutta la formula. Questi ultimi comandi NON modificano le formule salvate, ma solo quelle in fase di creazione.

Cliccando su Calcola, inizia l'elaborazione e, nella finestra "Titoli conformi ai parametri" in alto a destra, si vedono i risultati, che possono essere copiati negli appunti di Windows, per essere utilizzati con altre applicazioni, oppure stampati.

Il pannello di controllo di WS, riportato qui sotto, si apre cliccando il tasto funzione "F12", oppure con il comando da Menu >Studi Wizard > Wizard Screening.

Finestra Wizard Screening per la definizione dei filtri

Per aprirla F12, oppure Menu >Studi Wizard > Wizard Screening

Nella prima colonna a sinistra sono presenti gli indicatori disponibili. Doppio click su uno, oppure un click sul pulsante [image], dopo averne selezionato uno per scegliere l'indicatore, quindi si impostano i parametri dell'indicatore stesso, come vedremo negli esempi più avanti.
Il primo in alto dei cinque campi disponibili per i parametri (sotto "Indicatore selezionato") definisce il periodo in giorni sui quali viene calcolato l'indicatore a partire dalla data definita in Giorni.
Esempio: vogliamo l' RSI a 14 giorni, calcolato a due giorni fa, inseriremo "-2" su giorni e "14" sul primo parametro; se invece lo vogliamo puntuale fino ad oggi: Giorni "0" e primo parametro "14". Se vogliamo stocastico 15-5-5 puntuale: Giorni "0"; primo parametro "15"; secondo parametro "5"; terzo parametro "5".
I campi non utili alla formulazione dell'indicatore vanno lasciati vuoti. Nel caso dell'RSI, dove si usa solo il primo, sono gli ultimi quattro, nello stocastico, dove se ne usano tre, gli ultimi due ecc.

L'ultimo campo (MEDIA) serve per impostare una media esponenziale a "N" giorni sull'indicatore scelto più sopra.
L'inserimento del parametro nella formula avviene cliccando due volte su una funzione >, <, =, +, -, *, /, AND, OR, FINE.

  • Aggiunge i titoli estratti da WS nel primo portafoglio disponibile.
  • Copia negli appunti di Windows l'elenco dei titoli estratti;
  • Stampa la lista dei titoli estratti;
  • Visualizza grafici: inserisce i titoli estratti nella lista WS e ne visualizza i grafici;
  • Carica lista dei titoli: apre la funzione Lista. Per Wizard Screening abbiamo previsto una particolare funzione Lista, che vi consente di applicare i vostri filtri solamente ad una parte del database, escludendo dall'elaborazione quei titoli che ritenete, a priori, poco interessanti. (Ad esempio diritti, titoli risparmio, titoli poco liquidi ecc.) E' una scrematura di titoli a monte dello screening. Il modulo funziona esattamente come quello già visto, con la possibilità di creare altri tre gruppi di titoli per ogni database, finalizzati esclusivamente all'applicazione dei filtri con Wizard Screening. L'unica differenza è che non esiste "carica tutto". Per elaborare tutti i titoli del database è sufficiente non utilizzare la lista.

E' possibile utilizzare tutti gli indicatori disponibili, oltre a:

True Range e Perc, possono essere usati per monitorare e isolare i titoli che manifestano livelli di volatilità, o di tendenza intraday particolari.

True range: calcola la differenza tra massimo e minimo nel giorno;

True range AC: calcola la differenza tra apertura e chiusura nel giorno;

Perc: calcola la differenza tra massimo e minimo del giorno prescelto e la moltiplica per il valore dell'unico parametro che è possibile personalizzare sotto "indicatore selezionato".

I due campi posti sotto "Giorni" definiscono:

  1. Il tipo prezzo da utilizzare per il calcolo dell'indicatore (Apertura, Max, min, Chiusura)

  2. La data di riferimento. Zero corrisponde ad oggi, -1 a ieri ecc. (Oggi sta per l'ultimo dato disponibile).

Nota: La data di riferimento, di cui al punto 2 assume significato diverso e non indica la data cui fa riferimento l'indicatore, ma un periodo di N giorni, relativamente ai seguenti indicatori:

  • Max da: individua il prezzo massimo (che può essere riferito a C, Max, min, A), su un periodo di N giorni, che inizia X giorni prima di oggi. Esempio: cerchiamo il massimo degli ultimi 100 giorni, escludendo i 5 dati più recenti: Giorni = -99; primo parametro = 4. Non -100 e 5 perché si parte sempre da zero, che corrisponde ad oggi, compreso). Vedi esempio 3.

  • Max prezzo: individua il prezzo massimo, (che può essere riferito a C, Max, min, A) di un periodo di N giorni, definito nella finestra "Giorni" (ad esempio -14), a partire dall'ultimo dato disponibile.

  • Min da: usa la stessa formula di Max da, invertita, per individuare il prezzo minimo

  • Min prezzo: usa la stessa formula di Max prezzo invertita, per individuare il prezzo minimo.

  • Prezzo Apertura, Chiusura, Massimo, Minimo: seleziona il tipo di prezzo (A, C, Max, min) scelto, con riferimento alla data definita nel campo "Giorni".

  • True Range da: dato un periodo di N giorni, definito con la stessa logica di Max da, cerca il giorno con la maggior differenza tra massimo e minimo e ne registra il valore.

  • True Range AC da: come sopra, salvo che non vengono considerati i massimi e minimi, ma solo le aperture e chiusure.

Le formule possono essere anche complesse. Il criterio di priorità nelle formule è il seguente:

  1. AND OR FINE

  2. < > =

  3. * /

  4. + -

E' possibile, ad esempio, comporre una formula su più righe, che terminano con +, - , * , / , e quindi scrivere una riga che finisce con >, <, =.

Il parametro di raffronto NON si limita, in questo caso, a misurare ciò che viene specificato nell'ultima riga, quella che lo contiene, ma misura il risultato di tutta la prima parte della formula, con quello che si va a scrivere nella seconda parte.

Le formule terminano con FINE.

A titolo di esemplificazione illustriamo alcune formule:

Esempio 1: cerchiamo i titoli con RSI a 14 giorni inferiore a 20.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 14. In questo caso abbiamo lasciato 100.

  2. RSI - doppio click - in modo che RSI compaia scritto sotto "indicatore selezionato";

  3. Giorni : 0 - valore dell'RSI sull'ultimo dato disponibile

  4. Primo parametro 14 - vogliamo l'RSI calcolato su 14 giorni

  5. Doppio click su < (minore) - a questo punto la prima riga della formula appare sullo schermo -

  6. VALORE - doppio click - (in modo VALORE che compaia scritto sotto "indicatore selezionato";

  7. Primo parametro 20

  8. FINE - a questo punto la seconda riga della formula appare sullo schermo -

  9. facoltativo: SALVA

  10. CALCOLA

  11. Visualizza Grafici.

Esempio 2: cerchiamo i titoli che hanno l'ultima chiusura al livello più alto degli ultimi 15 giorni.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 15. In questo caso abbiamo lasciato 100.

  2. PREZZO CHIUSURA - doppio click - (in modo che compaia scritto sotto "indicatore selezionato";

  3. Giorni : 0 (prezzo di chiusura puntuale sull'ultimo dato disponibile)

  4. Doppio click su > (maggiore) - a questo punto la prima riga della formula appare sullo schermo -

  5. Max da - doppio click - (in modo che compaia scritto sotto "indicatore selezionato");

  6. Primo parametro 1 (cerca le chiusure più alte escluso l'ultimo dato)

  7. Giorni : -15

  8. FINE - a questo punto la seconda riga della formula appare sullo schermo -

  9. Calcola ecc.

Esempio 3: cerchiamo i titoli il cui prezzo massimo dell'ultima settimana è inferiore al minimo fatto nei 100 giorni precedenti

e con RSI a 14 giorni inferiore a 50.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 105. In questo caso abbiamo scritto 150.

  2. MAX PREZZO - doppio click - in modo che compaia scritto sotto "indicatore selezionato";

  3. Giorni : - 4 (in una settimana ci sono 5 giorni di borsa aperta, quindi dal giorno 0 al giorno -4)

  4. Doppio click su < (minore) - a questo punto la prima riga della formula appare sullo schermo -

  5. MIN DA - doppio click - (in modo che compaia scritto sotto "indicatore selezionato";

  6. Giorni : -99 (analizzerà così 100 giorni)

  7. Primo parametro: 5 (a partire dal quinto giorno escludendo così l'ultima settimana) valore sempre positivo

  8. AND - (tutte le condizioni devono essere rispettate, al contrario di OR) a questo punto la seconda riga della formula appare sullo schermo

  9. RSI - doppio click -

  10. Giorni : 0

  11. Primo parametro: 14

  12. Doppio click su < (minore) - a questo punto la terza riga della formula appare sullo schermo -

  13. VALORE - doppio click - in modo VALORE che compaia scritto sotto "indicatore selezionato";

  14. Primo parametro 50

  15. FINE - a questo punto la quarta riga della formula appare sullo schermo -

  16. Calcola, o salva ecc.

Nota: in questo caso dovrete impostare il campo "N. dati da elaborare" almeno a 105 (ultima settimana + 100 giorni), ma per evitare di far tanti calcoli, lo abbiamo impostato a 150, dato che sicuramente copre le esigenze di questo esempio.

Come avete visto Wizard Screening permette la massima personalizzazione dei filtri. Lo scopo è quello di raffrontare indicatori con valori assoluti, o indicatori con altri indicatori, o di costruire formulazioni complesse che fanno entrambe le cose. L'importante è seguire una sequenza logica. Diversamente il programma non estrarrà alcun titolo limitandosi a scorrere il database alla ricerca di un risultato impossibile.

Attenzione: ad impostare, nella casella "N° dati da elaborare" un valore che consenta l'elaborazione della formula richiesta. Ad esempio non potete cercare i titoli che fanno il minimo da 100 giorni se elaborate, ad esempio solo 80 dati. RealChartsTS non estrarrà nulla ed evidenzierà nella finestra a sfondo giallo, in basso "Mancanza dati titolo ...." per tutti i titoli.

Argomenti correlati:

Liste titoli

Trading Systems


TS2 WSI

TS2 - Wizard Simulatore Indicatori

Questa funzione vi consente di verificare il successo in backtesting di tutti gli indicatori/oscillatori presenti utilizzandoli come trading system. Gli indicatori diventano quindi elementi base con cui costruire formule, anche complesse. WSI non pone limiti alla creatività salvo, ovviamente, seguire una logica matematica. (in caso di impostazione di formule non logiche, il sistema non farà operazioni di trading).

La logica con cui impostare le formule è la medesima di WS.

WSI lavora sui dati del grafico sottostante aperto e ipotizza di applicare la vostra formula alla serie storica dei prezzi, limitata agli ultimi "n" dati, realizzando operazioni di trading. Quindi elabora il rendiconto dal quale si evince il successo deltrading system, sia per numero di operazioni vincenti che per rendimento. WSI dispone sia del rendiconto grafico, che di quello analitico, che riporta in dettaglio tutte le operazioni effettuate.

Le formule possono essere salvate con il pulsante "Salva" e richiamate in seguito con "Carica". "WFF", è il suffisso dei files contenenti le formule di Wizard Simulatore .Indicatori.

Il pannello di controllo di WSI, riportato qui sotto, si apre con la combinazione di tasti "Shift + F12", oppure con il comando da Menu >Studi Wizard> Wizard Simulatore Indicatori.

Esempio di finestra di lavoro di WSI

Per aprirla Shift + F12, oppure Menu >Studi Wizard> Wizard Simulatore Indicatori

Il comando a menù, elimina ottimizzazione, serve per cancellare il file che, per ogni titolo, memorizza l'ultima ottimizzazione effettuata.

Nella prima colonna a sinistra sono presenti gli indicatori disponibili. Doppio click su uno, oppure un click sul pulsante [image], dopo averne selezionato uno per scegliere l'indicatore, quindi si impostano i parametri dell'indicatore stesso, come vedremo negli esempi più avanti.
Il primo in alto dei cinque campi disponibili per i parametri (sotto "Indicatore selezionato") definisce il periodo in giorni sui quali viene calcolato l'indicatore a partire dalla data definita in Giorni.
Esempio: vogliamo l' RSI a 14 giorni, calcolato a due giorni fa, inseriremo "-2" su giorni e "14" sul primo parametro; se invece lo vogliamo puntuale fino ad oggi: Giorni "0" e primo parametro "14". Se vogliamo stocastico 15-5-5 puntuale: Giorni "0"; primo parametro "15"; secondo parametro "5"; terzo parametro "5".
I campi non necessari alla formulazione dell'indicatore vanno lasciati vuoti. Nel caso dell'RSI, dove si usa solo il primo, sono gli ultimi quattro, nello stocastico, dove se ne usano tre, gli ultimi due ecc.

L'ultimo campo (MEDIA) serve per impostare una media esponenziale a "N" giorni sull'indicatore scelto più sopra.

Per l'inserimento del componente nella formula cliccate due volte su una funzione >, <, =, +, -, *, /, AND, OR, FINE.

Separatore decimale dei valori inseriti nella formula, quando previsto, è il punto.

I due campi posti sotto "Giorni" definiscono:

  1. Il tipo prezzo da utilizzare per il calcolo dell'indicatore (Apertura, Max, min, Chiusura)

  2. La data di riferimento. Zero corrisponde ad oggi, -1 a ieri ecc. (Oggi sta per l'ultimo dato disponibile).

Nota: La data di riferimento, di cui al punto 2 assume significato diverso e non indica la data cui fa riferimento l'indicatore, ma un periodo di N giorni, relativamente ai seguenti indicatori:

  • Max da: individua il prezzo massimo (che può essere riferito a C, Max, min, A), su un periodo di N giorni, che inizia X giorni prima di oggi. Esempio: cerchiamo il massimo degli ultimi 100 giorni, escludendo i 5 dati più recenti: Giorni = -99; primo parametro = 4. Non -100 e 5 perché si parte sempre da zero, che corrisponde ad oggi, compreso).

  • Max prezzo: individua il prezzo massimo, (che può essere riferito a C, Max, min, A) di un periodo di N giorni, definito nella finestra "Giorni" (ad esempio -14), a partire dall'ultimo dato disponibile.

  • Min da: usa la stessa formula di Max da, invertita, per individuare il prezzo minimo

  • Min prezzo: usa la stessa formula di Max prezzo invertita, per individuare il prezzo minimo.

  • Prezzo Apertura, Chiusura, Massimo, Minimo: seleziona il tipo di prezzo (A, C, Max, min) scelto, con riferimento alla data definita nel campo "Giorni".

Le formule possono essere anche complesse. Il criterio di priorità nelle formule è il seguente:

  1. AND OR FINE

  2. < > =

  3. * /

  4. + -

E' possibile, ad esempio, comporre una formula su più righe, che terminano con +, - , * , / , e quindi scrivere una riga che finisce con >, <, =.

Il parametro di raffronto NON si limita, in questo caso, a misurare ciò che viene specificato nell'ultima riga, quella che lo contiene, ma misura il risultato di tutta la prima parte della formula, con quello che si va a scrivere nella seconda parte.

Le formule vanno riportate in entrambe le finestre "Enter Order: Buy" e "Enter Order: Sell", attivandole alternativamente, per la registrazione dei componenti, con i relativi pulsanti (es. ).

Le formule terminano con FINE.

OPZIONI di WSI

  • Periodo: evidenzia il tipo di campionamento del grafico sottostante
  • N. dati da elaborare: imposta il numero di dati che WSI utilizza per calcolare il rendiconto, sempre fino alla data più recente.

  • Commissioni di negoziazione (permille) che si pagano all'intermediario.

  • Attiva vendita allo scoperto: per andare LONG e SHORT; disattivato WSI va solo long.

  • TakeProf e StopLoss: se selezionati impostano il livello di stop percentuale che fa scattare il segnale di uscita. Quando scattano nel rendiconto vengono evidenziati.

NOTA:

RealChartsTS utilizza un database con dati daily, ossia 4 prezzi al giorno: apertura, massimo, minimo e chiusura che vengono aggiornati la sera a mercati chiusi e forniscono indicazioni operative per l'apertura successiva. Nelle ottimizzazioni il sistema compra/vende sempre in apertura il giorno successivo al segnale e quindi, coerentemente, anche le indicazioni operative di acquisto/vendita vi arriveranno a mercati chiusi, dopo l'aggiornamento del database, valide per il giorno successivo.

WSI, elabora dati giornalieri, ma lavora indifferentemente su grafici giornalieri, settimanali o mensili.

Il numero di Dati impostato per l'ottimizzazione, indica giorni, settimane o mesi, secondo l'impostazione del grafico sottostante.

Conseguentemente anche i segnali di WSI avranno la stessa frequenza di campionamento del grafico sottostante e saranno validi per l'apertura del giorno, della settimana o del mese successivo .

Il segnale sarà visibile nel pannello di controllo di WSI:

Le possibili indicazioni sono:

No Trade - Sono nel mercato lungo - : abbiamo il titolo in portafoglio e aspettiamo;

No Trade - Sono nel mercato corto - : abbiamo venduto allo scoperto e aspettiamo; (*)

No Trade - Non sono nel mercato - non abbiamo il titolo e non facciamo niente

Next Trade: BUY - Non sono nel mercato - : non abbiamo il titolo in portafoglio: all'apertura successiva lo acquistiamo;

Next Trade: BUY - Sono nel mercato corto - : abbiamo venduto allo scoperto: all'apertura successiva lo acquistiamo (*)

Next Trade: SELL - Sono nel mercato lungo - : abbiamo il titolo in portafoglio: all'apertura successiva lo vendiamo

Next Trade: SELL - Non sono nel mercato - : non abbiamo il titolo in portafoglio: all'apertura successiva lo vendiamo allo scoperto (*)

(*) segnali possibili solo con l'opzione "Vendita allo scoperto" attiva

Il comando: presente nel pannello di controllo, mostra il rendiconto grafico della vostra simulazione nel quale le barre blu evidenziano i periodi LONG, quelle verdi l'uscita da LONG, e quelle gialle SHORT, se l'opzione "Attiva Vendita allo Scoperto" è stata attivata.

Argomenti correlati:

Trading Systems